Installation options

Installation

Insert the CD into the CD drive or copy the files to a location on the computer. All files are needed to install and start the application. Depending on the version you have various options may appear on the screen.

Installation options

Demonstration version

The demonstration version is a standalone version with limited capability.

Standalone

There are no installation options with the standalone version of the software. A backup program is included

Network

The network version of TRACXS comes with a few installation options. The person doing the installation has the option of installing the TRACXS application, the database that comes with TRACXS, and Infomaker, a program that allows users to view TRACXS reports without having TRACXS installed.

Network Options

There are four option for installing the network version. The options are: TRACXS Admin, TRACXS User, Database, and Infomaker.

The options are used under the following conditions.

TRACXS Admin

TRACXS Admin has full access to the database upon log in. Any user logging in from this machine will need to have a privilege level>=90. TRACXS software and Infomaker are placed on the client machine.

TRACXS User

TRACXS User allows access to any where on the system except the TRACXS system tables. Users will be assigned a privilege level< 90. TRACXS software and Infomaker are placed on the client machine.

Database

Database installs the database and the server software on the server computer. The a backup program is also installed on the server. The name of the backup program is TRACXS Maintenance.

Infomaker

If the user can only view reports produced from TRACXS install Infomaker on the client machine.

Licencing

TRACXS

When TRACXS is purchased, the purchaser buys a number of licences. The TRACXS application checks to see how many computers are connected to the database and then checks that the number is connected is less than or equal to the number of licences. If the number of people connecting to the database is frequently above the licence limit it is suggested the number of licences be increased. The licence limit only applies to people using TRACXS to access data on the database.

Database

The licence for the database is the same as the number of TRACXSlicences purchased.

Infomaker

There are no limitations on the number of connection to the database using InfoMaker.

Moving From a Stand Alone to a Network version

Your Logo

To have your log appear on reports install the logo as a bitmap file logo_org.bmp in the %Root%\TRACXS\Shared folder. The size of the logo should be 100 by 72 pixels.

Protection

At the time of start up it is important to consider database protection. Protection for the database comes in the form of backup capabilities. It is suggested that the Backup section of this manual be implemented once the database is started. It is also recommended that a mirror log file be installed on a separate device to provide redundant backup. See the Mirror log files section of the manual.

Upgrading from a demonstration version

The database for all versions of TRACXS is the same. When using the demonstration version valuable data may be collected. If this is the case the data can be kept and used in the full version.

To keep the data, use My computer to copy the database (TRACXS.db and TRACXS.log) from %root%\TRACXS\Database to a different directory (folder). Uninstall the demo version using the Control panel uninstall program feature. Install the full version.

Example: copy C:\Program Files\TRACXS\Database\TRACXS.db to D:\Temp\TRACXS.db.

If the standalone version is installed copy the database from the safe location to %root%\TRACXS\Database. Run the program 'TRACXS upgade from demo.exe' from the CD or website. TRACXS is now ready to start.

If the network version is installed copy the database from the safe location to %root%\TRACXS\Database on the server. Start the server by clicking on the 'TRACXS Database' icon. Run the program 'TRACXS upgade from demo.exe' from the CD or website. TRACXS is now ready to start.


TRACXS MANUALS

Copyright © Qualitiqua 2001- 2003

All rights reserved.

The materials and information at these manuals are placed under copyright. Any unauthorized use of these materials or information in these manuals may violate copyright, trademark and other laws and may not be used except with the express written permission of Qualitiqua. Users are not permitted to modify, distribute, publish, transmit or create derivative works of any material found on this manual for any public or commercial purposes.

Disclaimer

These manuals are accurate at the time of software release. Qualitiqua makes no claims as to the suitability of TRACXS for dealing with any particular problem.

Trade Mark

TRACXS and Qualitiqua are trademarks of Qualitiqua a division of David Tozer and Associates


Overview

TRACXS is a project oriented solution that is designed to support the design activities. The design process is managed through the Quality Functional Deployment feature. Many different types of documents can be controlled through TRACXS. TRACXS allows for documents developed within TRACXS to be reviewed and approved as they are being developed. Approved documents cannot be changed without having permission to change the document. TRACXS also allows managers to view reports on how well customer's needs are being met.

Each set of documents in TRACXS belongs to a project. Projects are grouped together in programs. Each project has a project manager assigned to it. The project manager is responsible for assigning other people to the project.

To access project data people must be assigned to a project. In a project people who are not part of your organization can be assigned to the project. For example a customer representative can be assigned to a project. People have to be assigned to an organization before they are assigned to a project. For example having the customer's representative entered as a user allows them to approve documentation as the project progresses.

Using Quality Functional Deployment to manage the design process allows the project manager to be able to document the involvement of the marketing, sales, design, manufacturing or processing, and delivery staff in the design process. The action of involving many disciplines in the design process is called concurrent design.

The design process managed in TRACXS does not apply to just hardware or software. The design of processes can also be managed through TRACXS. The main item that has to be addresses is the identification of customers and their needs.

In a TRACXS project there are many different types of documents. There are "Quality Functional Deployment diagrams, enhancement requests, complaint records, specification and interface documents, and cause and effect diagrams. Documents that are not in TRACXS can be accessed and reviewed by the user if they have the correct software on their computer.

TRACXS supports the concept of design reviews and approval of documents. Within TRACXS changes to approved data cannot be made without first assigning an enhancement to the document. Having customers representatives identified in the system allows the project manager to record customer authorization to proceed to the next step in a design.

Reports are available on the progress being made with respect to meeting customer's needs.

The User's manual shows how to user TRACXS.

Managing the Design and Development Cycle discusses concepts used in design management.


Problems addressed by TRACXS

Many organizations find the production of design documentation or the design process to be frustrating. Common sources of frustration are described below, along with the way the TRACXS Solution address them. The items below apply to the production of hardware, software, or processes.

Frustration: Customer's needs and requirements are not clearly identified or documented.

Resolution: TRACXS get all parties involved with the design involved with documenting customer's needs.

Frustration: A product is manufactured, or a service is delivered, and it is not what the customer needed.

Resolution: TRACXS is designed to capture customer's needs as the first step in the process. It goes beyond customer requirements. It is aimed at helping the user to ensure the customer's needs are fully stated. At the end of the process test results are entered in the system to have traceability to ensure there is proof customer's needs are met. As the customer's needs are identified the designers start to clearly define the functionality of the product the customer needs. As the functionality is defined the product feature become clearer. The product designed or the service delivered is closer to what the customer needs.

Frustration: The design is never finished.

Resolution: TRACXS is built to record the progress of design reviews. As the reviews are completed TRACXS can identify completed work. Work that needs to be focused on to complete the project is identified.

Frustration: The product is difficult to manufacture.

Resolution: Using TRACXS encourages concurrent engineering. Concurrent engineering involves teams of people from different disciplines working on a project to ensure the project finishes on time at the agreed price and quality. Making a product that can be manufactured is part of the mandate of the team.

Frustration: The product does not have the required reliability.

Resolution: The product development team have reliability as a formal part of their design cycle.

Frustration: Changes to documentation are made and people do not know who made the changes, what time the changes were made or why they made the changes.

Resolution: TRACXS is designed to have the person who is making changes to documentation identified. The change is time stamped and the reason for changes must be given. Restrictions on when and who can make changes are designed in the system from the beginning.

Frustration: Building a document that defines the references between different documents is tedious and inaccurate.

Resolution: TRACXS allows for complicated relationships to exist between data. It is easy to build reports to identify specific relationships or to identify relationships that need to exist.

Frustration: Tracking who has done what is frequently difficult and error prone.

Resolution: TRACXS can be set up to automatically track who enters data and who makes changes to the data. There is an option to have people making changes to data give reasons for the changes.

Frustration: Getting customer approval of completed work is difficult.

Resolution: With TRACXS customers are made part of the system. They are encouraged to have access to the system and give their approval to documentation as it is completed.

Frustration: Products do not interface properly.

Resolution: By TRACXS the areas where interfaces are required are discovered and documented. Once these areas are documented it is possible to build the Interface Control Document.

Frustration: Word processors are inadequate for tracing needs and requirements through the design process.

Resolution: One of TRACXS' features is its ability to trace a design feature test result back to a customer need. TRACXS the project manage to trace all product features back to a customer requirement. Using TRACXS it is possible to prove that the design meets customer needs.

Frustration: Tracking development costs is difficult.

Resolution: Using TRACXS it is possible to determine some development costs since the system can be set up to automatically track who is using the system at any time. From this data cost information can be determined.

Applicability

This methodology is applicable to projects in which concurrent design takes place. The method has the advantage, over other methods, of generating specifications that describes the relationships and correlations between various requirements. The methods of quantifying the requirements are also captured.


How TRACXS Works

Using TRACXS

Installation

Password

Start up

TRACXS Interface

Change Password

Audit Trail

Login

Project

Project cost model


Using standard interface

Open the Organization window. Enter the organization data. Make sure to define at least one position on the organization. Save the data and close the window.

Open the People window. Enter the data for people and users. Assign each person to a position. Save the data and close the window.

Open System Tables and go directly to the Program tab. Enter the data collected for the project. Save the project data and close the window.

Open a Project window. Assign users to the project. From the People in our organization box drag the person.s data to the Project staff box. Assign them a role and save the data. Close the window.

TRACXS is now ready to accept project data.

To use the Quality Functional Deployment feature the project manager needs to log on and click on the Projects button. On the Projects window click on the Level tab. Under Set Up Options click on the Add Standard Levels radio button. Save the data.

People can now start using the QFD feature.

People can now log onto TRACXS and start entering data. If the user has not been assigned to a project they cannot get into the system.


Options

Please read all of the topics in the Using TRACXS book before using options.

There are two options to get a fast start to using TRACXS.

With option 1 (Using one screen) there is a single window for entering basic information to use the system. It is possible to edit a few fields in this window.

With option 2 (Using standard interface) the user has full control of all data and becomes familiar with the main parts of the system.

Before using either method the following information should be collected:

1. The program in which the projects will take place.

2. The project to be worked on along with the security level of the project.

3. The project cost model if one is required. The basic cost model has a start event and an end event. Using a cost model allows the manager to track costs while people are using the system.

4. The proposed start and end dates of the project.

5. The names of the people who will work on the project.

6. The user names of the people who will work on the project.

7. The privilege level of the people who will work on the project. People who have a privilege level less than the project security level cannot access the project.

8. The User Group to which the person will belong.

9. The date the person starts with the user name.

10. The organizations the people on the project belong to. The information can include the division and department to which the people belong. The terminology division and department is a generic term for the levels below the top level of an organization. Customers and suppliers can be included in TRACXS.

11. The address of the organization.

12. The position which the person is assigned to and the date they start at that position.

You are now in a position to start the setting up a project.

To use the system at this level the person doing the work must have system level privileges.

Option 1 Use the Fast Start window when there are no security considerations for a project.

Option 2 use the system in a prescribed sequence .


Example log on

To view the example log on as user = smithj01 and password = smithj01.


Showing examples

Examples are not shown at start up. They must be activated. When TRACXS starts the widow has the following display

Click on the third button from the right of the navigation toolbar to show examples. Clicking this button allows only examples to be shown. Navigate through TRACXS and only examples will be displayed. When the examples button is clicked "Show examples" appears in the navigation window.

Click on it again to navigate through projects.


Quality Functional Deployment Example

To see the example log onto TRACXS as smithj01 and password smithj01.

For the example we are in the business of making pens. To see the example in TRACXS click on the Quality Functional Deployment button. The Program Pens will appear. Click on the + sign. The projects in the program will appear. Click on the + sign for Ballpoint. A list of levels for QFD will appear. Double click on the first level (Customer needs). The QFD window will open.

This window shows the way to complete the first QFD level. The diagram looks like a house.

The Customer's Needs column describes what the customer needs the pen to do. The needs are not a specification.

The Functional Requirements describe what functions the pen is to perform to meet the customer's needs. This item is related to a specification.

The matrix in the middle of the screen identifies the relationships between the needs and requirements. The relationships have strength of 1, 3, 9.

The roof of the house is the matrix that describes the strength of correlations between various requirements. The correlations can be positive and negative. To edit the correlation matrix right click and choose Expand Correlation.

The Market Assessment section describes how well your organization and competitors meet the customers needs. Only the values for your organization are displayed at this level. To see the rest of the data, right click on a cross and choose Market Assessment in the menu.

The Targets section describes, in a quantifiable way, the target values for each requirement. In TRACXS it is possible to record the values for the competition or the best in class. Only the values for your organization are displayed. To see all values right click on a target value and choose Target Values form the pop up menu.

The Assessment at the bottom of the screen describes the technical difficulty of meeting the requirement. Only the values for your organization are displayed at this level. To see the rest of the data right click on a cross and choose Assessment in the menu.

The Priority is calculated by multiplying the importance in customer needs with the relationship values and adding up the values for a requirement.

From the QFD window it is possible to develop more detailed documents to support the QFD diagram. These documents are called specifications in the discussion but they can be given different names as work progresses. To access specifications right click on the first item in Customer's needs. Choose Specification from the menu. Specifications can also be accessed from Functional Requirements. Choose Change from the right click pop up menu and the Specification from the right click pop up menu for the item with the specification.


Customer needs example

Customer's needs for pens include the following:

Writing tool,

No leaks,

Write on any grade of paper,

Portable,

Lasts a long time,

Uniform lines,

Different widths,

Low price,

Different colors.

These needs are, for the most part, things that the product must do for the customer. The are what the product must do.

As the customer needs are identified the importance of the need to the customer needs to be determined. At the same time the need to assess how well the needs are being met is also determined. There determinations are made by asking the customer what they think about each identified need.


Functional Requirements Example

Some of the functional requirements are:

Can be used by children and seniors.

No leaks.

Write on material from tissue paper to cardboard.

Has a clip.

Has a spring.

Possible colors are: red, green blue, black.

Widths are .2 mm to .5 mm.

Reservoir last for 1 km of line.

Price < $3.00.

For each one of the functional requirements a target value, and if possible a range of values, needs to be determined.

The size of the pen is important.

Viscosity measures thickness.

Paper type needs specification.

The clip length needs to be defined.

The spring diameter needs to be specified.

Colours need specifying.

For lines drawn the line thickness needs to be between .2 and .5 mm.

The reservoir should have a capacity of 1 mL.

The price will be fixed.

The details can be viewed by right clicking on an item in the Targets area and choosing Target Values in the pop up menu.


Relationship Matrix Example

The values of each cell in the relationship matrix have values of 1, 3, or 9.


Specification Example

Accessing the specification module from the QFD module starts the following screen.

The screen displays a book title, chapter and section titles and detail sentences.

Each chapter, section and sentence have index numbers.

The concept in this window is that each idea in a specification should be defined in one sentence and that each sentence is indexed.

Right click on an item in the large box under data. In the pop up menu Testing and Environment are listed. The testing item is used to identify the test procedure, and record the test results, for the specification. The environment is used to describe the environment the specification item is to operate in.


Design parameters

The design of the product is finalized at this stage.

The list of items becomes: barrel is plastic.

The barrel has a diameter of 0.7 cm, is 14 cm long, and has a thickness of 0.7 mm.

The tip is a brass fitting that has a stainless steel ball in it.

The tip is made with 758 brass.

The conical brass structure is shaped hold the ball.

The tip has an extension that allows it to fit the reservoir.

The ball is made of stainless steel. It has a diameter of 0.25 mm for the small pen and 0.055 mm for the large. The ink is type 2134.

The reservoir is plastic 10.5 cm long, 5 mm diameter, thickness 0.2 mm.

The cap is plastic and has a clip.

There is an end cap that fits into the barrel.

The pen is described in drawing PEN 346.


Process variables

The product is going to be manufactured using the following methods:

The variable that need to be controlled are the type of plastic,

Make the barrel as an extrusion,

Make the ink reservoir as an extrusion,

Make the nib assembly from brass and steel,

Make the cap from plastic,

Make the end cover from plastic,

Assemble the pen.


Production plan

The following items must be controlled to the given tolerances.

The ball diameter, 0.24 mm <= d <= 0.26 mm

The size of the cavity the ball sits in, 0.25 mm <= d <= 0.27 mm

The internal diameter of the barrel, 5.00 mm <= d <= 5.25 mm,

The external diameter of the reservoir, 4.75 mm <= d <= 5.00 mm.


Table of Contents

Introduction

Installation

How TRACXS Works

Start up

Change Password

System Tables

Group

Privilege

Geography

Program

Pictures

Categories

Board

Relationship to organizations

Actions

Security and privileges

Organization

People

Users

Levels

Reference

Audit trail

Project Security

Review Board

Procedures and techniques

Choosing a project

Complaints

Documentation

Environment or Conditions

Enhancements

Interface

Quality Functional Deployment Window

What

How

Relationship Matrix

Correlation Matrix

Interface control document

Add correlation data

Market Assessment

Targets

Target values and results

Quality Description

Technical Assessment

Priority

Cause and Effect

Flowchart

Password

Login

Design Process

Quality Functional Deployment Overview

Problems addressed by TRACXS

Customer Needs

Life cycle definition

Life cycle cost

Configuration Identification

Configuration Status Accounting

Configuration Audit

Confiuration Management Concepts

Quality

Reliability

Maintainability

Material Review Board

Repairability

Design Reviews

Design Parameters

Process variables

Production plan

Project Management

Manufacturability

Document from QFD

Specification from Navigation

Relationship

Benchmarking

Review Type

Functional Requirements

Customer needs example

Quality Functional Deployment Example

Functional Requirements Example

Product or Service Design

Relationships

Correlation

Human Factors

Configuration control

Tests

Report Types

Project

Project Cost Model

Cost model

Project information

Cost Model in Project

Project Reports

Target type

Project Tree

Target data and assessment

Next levels

Priority setting

Options

Using standard interface

Description

Editing System Tables

Projects

Project Management Models

Organizations

Adding Users

Overview

First start up

Concurrent design

Note

Project administration

Specification Example

Relationship Matrix Example

Capturing Design Cost Data

Showing examples

Archive

Documents

Interface from navigation

Navigating Examples

Navigating for data entry

Example log on

Deviations and waivers

Design checklist

Reviews

Sub-grouping

Indenting

Accessing Quality Functional Deployment

Accessing Enhancements

Accessing Complaints

Accessing Documents

Accessing Interface Descriptions

Accessing FMECA

Accessing Deviations and Waivers

Accessing Cause and Effect

Failure Mode Effects and Criticality Analysis

Backup

Database

System Requirements

Corrective Action

Failure Mode Effects and Criticality

Logo

Updates

TRACXS Interface

Crash Recovery

Project Activity

Cause and Effect Diagram

Enhancement Details

Part numbers

Saving reports

Installation options

Table of Contents


Design Process

The design process is used to develop products or services that meet customers needs and expectations.

Design starts with customer' s needs and expectations and ends when a product that is fit for use is delivered to the customer. In a some cases the design process may also have to consider maintenance and field service.

Since the design process affects the life cycle of the product or service people who have to use the results of the design should be involved in the design process. The earlier these people are involved in the process the better the change is that they will be able to prevent problems from occurring as the design develops. In fact this has been proven to be the case in Toyota. The process of getting a team of people from different disciplines to work on the design is called concurrent engineering or concurrent design.

The activities in the design process include: determining the customers' needs, performing the design task, configuration management, project management, quality assurance, design reviews, developing prototypes, testing for functionality and the ability to work in the customer's environment, human factors, reliability engineering, and manufacturing engineering.

As the design progresses management will want to review the data from time to time. A formal design review process will be very useful for ensuring reviews are conducted.


Project management

Project management is a tool commonly used for managing the design cycle. Most project management methods are based on the Program Evaluation and Review Technique or the Critical Path method. These methods are related. Other methods have been proposed but they are all similar to these two methods.

The design cycle for each new product can be handled as a formal project. In planning a project it is necessary to define activities and various milestone events at which design reviews will be undertaken. The project manager assigns resources to activities. There are various software packages available for project management.

TRACXS is designed to be used in a project management environment. It will record the time a user spends using the application. The time is allocated to an activity. The project manager can get reports on the time spend on the project.

To use TRACXS a design and development process should be implemented. For this process a project environment should exist. For the process define milestones at which people get together and review the work completed to date. During the review process consensus is reached about how the design is proceeding. At design reviews action is taken to bring the project back on track, should it go off track.

The basis of the system is a weekly meeting by the project management team to review how the work is progressing.

Each project is broken down into smaller subprojects. The key elements of a subproject are identified and put on a timetable. The timetable can be identified on a project management chart. It is very useful to use TRACXS in conjunction with project management techniques. The method can be manual or using software. There are many good software packages to assist with the process.

The proposed due dates for milestones are entered for the project in TRACXS. People are assigned to review the documents at each milestone.

Using TRACXS it is possible for people to see how much of a project is approved and authorized. It is possible to identify projects that are slipping based on the actual status of the documentation.

As a project is developed changes to approved documentation has to be made. TRACXS has a section that addresses capturing the changes and can associate it with a particular customer need or another element of the analysis.


Concurrent design

Concurrent design is a process in which the design of a product has inputs from various disciplines involved in the design process. Typical parts of an organization that have a direct interest in the design functions are: marketing, sales, the design department, manufacturing or process development, and field service.

Marketing is interested in the design process since they are directly involved with determining what the customer needs.

Sales need to be involved in the design process since they have to be able to offer products and services that can be delivered on time.

Design staff have to make the design.

Manufacturing has to make the product.

Process development have to deliver the service.

Field service have to handle complaints from the customer.

All of these groups and many others need to work on the project to successfully complete it.


Life cycle definition

Life Cycle

For products, the life cycle starts at conception and ends with the destruction of the product, after it is no longer useful, and its by-products.

For a service, the life cycle starts at conception and ends when the service is removed.

When considering a product's life cycle it is useful to review the ways in which a product can be used by the end user. End users often use product in ways that were not intended by the designer.


Life cycle cost

For a product life cycle cost is the total cost of product ownership. It is the cost of buying the original product, the cost of using the product, the cost of maintaining the product, the cost of repairing the product and the cost of disposal of the product and any by products.

For a service the cost of a service is the cost of getting the service and any follow up that is required because of an incomplete service.


Bench-marking

Bench-marking is the process of determining how well different business functions are performed by our organizations when compared to the competition and the best in class. The activity of bench-marking allows companies to identify best in class practices and have people in the organization learn how to implement the best methods.


Design Reviews

Design reviews are major project events at which milestones are met. At a design review there are many different people in attendance. Before the design review meeting the specifications and drawings are reviewed by the appropriate authorities. The manager of the design reviews is the project manage. It is common for the review to be performed by a designer who is different from the person who actually did the design. The customer or marketing is represented at the review. Configuration management staff are involved to make sure the actual approved design is captured and the documents kept for safe keeping. Various subspecialties need to be present at the design review. The people who have to manufacture the product should be involved in the design review. Quality Assurance staff also take part in the design review.

There should be at least three design reviews. Some projects may require more. There should be a review of the concept and what the function of the product is to be. There is a review of the different systems that are required to get the functionality. Finally there is a review of the final documentation.


Product or Service Design

The process of defining and describing a product or service. Design starts with customer's needs and ends when a product or service that meets customer needs and expectation is delivered to the customer. The design function may also include maintenance and repair activities.


Reliability

Customers expect products to be reliable. They often associate reliability with durability. When they pay for a product they do not want to have to replace it because of a reliability problem.

Reliability has a mathematical definition.

Reliability is the probability that a product will perform its intended function for a given time in a specified environment.


Manufacturability

Manufacturing and production staff should participate early in the design review process to make sure the product can be manufactured economically. If they are not involved the product may be hard to build and therefore expensive to build. Ensuring a product or service is producible is therefore important to a company's competitive position.


Maintainability

Many products require some sort of maintenance during the life cycle . Customers like the maintenance activities to be economical and as infrequent as possible.


Repairability

Reparability

Products sometimes get damaged in use. Customers expect repairs to be economical. The way an item is designed can have a big impact on how easy it is to maintain. Reparability needs to be considered at the design phase.


Human Factors

Human factors are the items that need to be taken into account whenever a human interfaces with equipment. One of the main aims when managing human factors is the reduction or elimination of injury causing activities. When doing human factors analysis it is important to quantify the abilities of people to handle items or do repeated work. The ability of people to reach equipment and perform tasks is restricted by the capabilities of humans.

Human factors can also be called human engineering.


Quality Functional Deployment Overview

Quality Functional Deployment starts and ends with meeting customer' s needs. QFD documents the voice of the customer.

Quality Functional Deployment is a method and a graphical tool that allows people to better manage the design cycle from beginning to end. Using QFD many different parts of an organization document their involvement in the design process. The involvement of many different parts of the organization in the design process is called concurrent engineering or concurrent design.

In using Quality Functional Deployment a set of lists and matrices are developed. The matrices are used to describe relationships between different lists. The lists and matrices are arranged to look like a house. QFD is often called the house of quality. When one set of lists and matrices are completed some of the data is taken to start a new level in the QFD system. A new set of lists and matrices are generated and the next house is completed. Normally there are four levels (houses) in the QFD system. There are five lists; they are: Customer's Needs, Functional Requirements, Design Parameters, Process Variables, and Production Plan. The lists are used in pairs in the four levels of QFD.

The first level has the format shown in the diagram below.

To start the process, list the Customer's Needs . They form the basis of what we are trying to meet.

Once the customer's needs are determined it is necessary to determine how they are going to be met. The first step in this process is to determine the Functional Requirements of the product or service that is going to meet customer needs. The Functional Requirements make the first set of how items in the QFD System.

Once the data are entered determine the strength of the relationship between the Customer's Needs and the Functional Requirements. From the relationship matrix it is possible to determine that for each need there is at least one requirement. If there are need with many requirements or requirements with many needs redundancy may be an issue.

The items in the Functional Requirements are often correlated . The strength of the correlation is described in the matrix on top of the Functional Requirements. From the correlation matrix we can identify areas where trade-offs must be made and areas where interfaces are require. Negatively correlated items identify trade-off items. Positively correlated items indicate the possible need to determine the nature of an interface.

When the first level is completed it is time to move to the second level. At this level the items that were the Hows in the first level become the Whats in the second level. The purpose of this level is to design the product that is to be delivered to the customer. The Design Parameters are established at this level.

One of the extensions to QFD that may be useful at this level is the option of being able to develop a specification and attach documents to the specification for Functional Requirements and Design Parameters. Items that have a value in the relationship matrix can also have objects attached to them. The attached objects can be a word processing document or a drawing, etc.

Once the Design Parameters are established it is possible to determine the relationships to the Functional Requirements, and the correlations between the various Design Parameters. Target values can be set and the technical difficulty of achieving the design evaluated.

When the design is completed the variables that are important during the manufacturing stage are identified in the third level. The Design Parameters become "Whats" and the "Hows" become the Process Variables .

The final stage is to make the Process Variables the Whats and define the Production Plan for the Process Variables.

QFD is intended to be used in a teamwork and concurrent engineering environment. In a concurrent engineering environment a team is established to ensure customer's needs are met throughout the development process. The team should consist of:

sales, marketing, and field service people to identify customer's needs;

developers, engineers, and designers to determine the technical possibilities;

manufacturing, and production to ensure the product or service is buildable;

packaging and distribution to ensure the product or service gets into the hands of the customer.

The QFD method is related to current methods of design and development in that the different phases of design are recognized. What QFD brings to the table is a structured way of getting the different players in the development process together so that there is less duplication and wasted effort. Each group responsible for part of the work is fully involved.

QFD has similarities with the design sequence used by other organizations. Many design systems require the developer to define the functionality of the product or service and form a Functional Baseline. When the first house of quality is completed the Function baseline could be considered to be defined. When the second house is completed the baseline achieved in other system would be called the Allocated Baseline. In that the basic design is completed and all function have been allocated to a product or service. With the definition of the process variables the product is ready for manufacturing. In other design systems this would be called the Product Baseline. With approval of a Product Baseline the product or service is ready for manufacturing or delivery. The Production Plan identifies the check points in the production or delivery process. Satisfying the Production Plan allows the supplier to demonstrate the product or service meets the specification.


Customer Needs

The heart of any business is serving customers. To serve customers well the organization must satisfy customer's needs. Customer's needs are best understood by asking, "What needs to be done to help the customer?" If your organization is making a product, ask the customer, "What does the product do for the customer?" or, "How does the product benefit the customer?" If your organization is a service organization clearly identify the customer' s needs that are satisfied by the service. Identify the function the product or service is to perform.

List other customer' s needs (physical, security, and emotional).

Identify:

the environment (physical and economic) that the customers operate in,

the regulatory environment,

the customer' s skill set range,

hidden needs that show up as the customer finding different uses, from those indented, for the product or service.

In many cases customers may have only a vague notion of what they need. It is therefore very important for the people determining customer needs to have a good understanding of what the customer does and what they need from the products or services offered.

In determining needs it is often better to study the functions the product or service is to do for the customer than to look at the product it self.

Identifying needs is the process of determining the first level of "Whats" in the Quality Functional Deployment System. An example of what a customer needs for a pen is given below.

Once the needs are determined it is necessary to find out how well the needs are met. This is done using the Market Assessment part of the house of quality. To assess how well needs as re being met the customer must be asked how well their needs are being met now by your organization and the competition.

For each identified need the customer needs to be asked how important the need is to them. The importance is ranked on a scale of 1 to 9. 1 is the least important, 9 is the most important.

The needs and importance are displayed in a list on the left side of the display.


Functional Requirements

Functional requirements describe, in a quantified way, the functions the product or service is to perform. Functional Requirements and Customer Needs can get mixed up. In determining the Functional Requirements defining a quantifiable item is very important. With a quantifiable item it is possible to measure how well the item meets requirements. An example of requirements is given below.

At this stage it is useful to identify enhancements that need or could be made to an existing system to meet the customer' s needs. In other words "How can we learn from past experiences?" The expression of the analysis is given in the top row of the functional requirements. There are five possible states for improving quality. Increase the item, decrease the item, increase from the target value, decrease from the target value, or stay at the target value.

For convenience people doing the analysis may want to work with a subset or subgroup of the diagram. The subset is displayed below the the improvement directions.

The functional requirements are displayed below the subgroup as a list going across the page.


Relationships

Relationship matrix

Once the Customer's Needs and Functional Requirements are defined the relationship between them is determined. Before the matrix is built, it is necessary to have the the Importance in the "What" section completed.

The relationship strength can take values of 1, 3 or 9; where 1 is week and 9 is strongest. If there is no relationship leave the item blank. In example of a relationship matrix is given below.


Correlation

As functional requirements are developed it is discovered that some of them are correlated. The strength of the correlations are determined from data wherever possible. The values assigned to the correlation are:

high positive, when the requirements work together in a strong fashion,

low positive, when the requirements work together,

low negative, when the requirements are in conflict,

high negative, when the requirements are in strong conflict.

When requirements are positively correlated an interface is identified.

When requirements are negatively correlated a potential conflict is defined. When conflicts are identified, the trade offs that need to be made must be clearly identified. If there are too many high negative correlations the project may be too difficult to complete. The product or service needs to be redesigned.

The correlations are displayed in a matrix that is rotated 45 degrees on top of the Functional Requirements matrix.


Interface

In the correlation matrix potential interfaces are defined. Those items having a positive correlation are expected to have an interface. Items with a negative correlation identify items that may require design compromises to be made.

To ensure the success of a project the interfaces need to be properly described. The inputs and out puts should be specified along with any transformation or interaction that is made by the interface.


Priority setting

Setting priorities is an important feature of Quality Functional deployment. To set the priority for each Functional Requirement find the value of the relationship to it. Find the value of the related importance in the Customer's Needs. Multiply the two numbers together. Repeat the process down the column wherever there is a relationship defined. Add the products and record in the priority. Complete the process for all columns.

The Functional Requirement with the highest priority value is the most important.


Target data and assessment

As the Functional Requirements are being defined the requirements should be quantifiable. Once they are quantified a target value can be set for the requirement. The value is placed below the Relationship Matrix under the requirement. The level of difficulty expected to achieve the target is assessed. The assessment is recorded below the target value. A comparison with the competition should also be done at this stage.


Next levels

As the first level is being developed it is possible to start working on the next level. The second level is started by taking the Functional requirements that went across the page and making them run down the page in the same position as the customer's needs in the previous level. As the Functional Requirements are determined it is possible to define the Design Parameters. The Design Parameters describe the detailed items that need to be built or delivered to meet the Functional Requirements. The matrices and other data are added. The importance of the Functional Requirement comes from the priority determined in the first level.

As the second level is being developed the third level can be started. For this level the Design Parameters become the list on the left side of the screen. The list across the screen becomes the Process Variables. The rest of the matrix is developed as in the previous level. Process Variables describe in more detail how the product or service is to be produced.

The fourth level takes the Process Variables as the left list and the Production Plan as the list across the screen. The production plan contains the critical control points of the production process at which the product will be evaluated.

The process is now completed.

We have gone from Customer's Needs to ensuring we can prove we have a product that can meet those needs.


Corrective Action

Even with the best design process items that are unsatisfactory will get into a design. There is therefore a need to be able to track defects as they are identified and eliminated. This system should be a closed loop system that allows designers to fix the immediate problem and track what the root cause of the problem was.

The organization should use the corrective action to improve processes to prevent problems from recurring.


Failure Mode Effects and Criticality

An important part of the design process is to identify the way a product can fail, the effects of the failure, the criticality of the failure and the consequences of the failure. The results of the analysis are recorded on a Failure Mode Effects and Criticality Analysis report.

The analysis is very important in determining that a product is safe to use. If a failure causes destruction of the equipment or a loss of life, or an injury the failure is a critical failure. If the failure stops the product from working the failure is major. If the failure does not affect the working of the product and is not critical the failure can be viewed as minor. The classification of critical, major and minor is the most widely used method of classifying criticality.


Cause and Effect Diagram

Cause and effect diagrams are also known as fishbone diagrams. In these diagrams it is possible to identify the items that go into a product or service. The items are grouped under headings. In the box at the right the item being studied is entered. The diagram consists of a line across (backbone) the page and lines leading of to the side (side bones). A topic is assigned to each of the side bones and details of the topic are displayed as small side bones against the first level of side bones. Further detail can be described as even smaller side bones to the small side bones.

This method is related to the affinity diagram.


Confiuration Management Concepts

Configuration Management Concepts

Configuration management is the process of identifying and defining the items in a product or system, controlling the change of these items throughout their life cycle, recording and reporting the status of items and change requests, and verifying the completeness and correctness of items.

To implement configuration management it is necessary to place approved documents under control. Once a document is approved it cannot be changed without a written approval allowing the change to the document.

When preparing a change document it is necessary to review the impact of the change on: cost, schedule, the form (shape) of the product, the fit (how it interfaces with other items), and function (how the item works). The interface can include interfacing to completely different system that are outside the scope of the project. The changes could also impact on existing product and there may be a need to upgrade product in the field. It is therefore important to serialize product and record the serial numbers of product affected by changes.

The bulk of the configuration management activity on a project is taken up with change management.


Configuration Identification

The approved documentation or description that identifies and defines a configuration item's (CI) functional and physical characteristics in the form of a specification or standard, algorithm or code, and interface control description. Part numbers are part of the identification process.


Configuration control

The systematic proposal, justification, evaluation, coordination, approval, or disapproval of a proposed change and the implementation of all approved changes in the configuration of a CI after formal establishment of its baseline.

Baselines are established at design reviews . As a design progresses it is found that approved documentation needs to be updated. To update approved documentation requires an approved change to the documentation. The change document starts out as a change proposal and is changed into a change notice once the proposed change is approved. With the approved change the original documentation can be updated to include the change. The change approval process is managed by the project manager through a configuration control board.


Configuration Status Accounting

The recording and reporting of information needed to manage a configuration effectively, including the approved configuration identification, the status of proposed and incorporated changes, and the index of all approved CIs and their components in the system inventory. The report of the configuration is often in the form of a tree


Configuration Audit

The verification of a Configuration Item's functional and physical conformance to specifications or standards and other contractual requirements.

A configuration audit consists of two parts: a physical configuration audit , and a functional configuration audit.

A physical configuration audit is an audit of the design documentation against the final product. It gives assurance that the design documentation correctly represents the product designed, or contractual requirements.

A functional configuration audit is an audit of the design documentation against the functions the product performs. The audit gives assurance the product functions in accordance with the design documentation or contractual requirements.


Installation

There are two types of installation: standalone and network.

First record the serial number printed on the CD label.

Standalone

Put the CD into the CD Drive and follow the installation instructions.

Network

There are two parts to the installation. First install the database on the network server and then install the application on each workstation that is to access the database. The database must be started to use TRACXS.

Server

Put the CD into the server CD drive. The installation program will start, or open the CD using My computer or Explore and start setup20. Follow the instructions on the screen. Choose the location where the database and engine are to be stored. Use the database option to install the database and engine on the server.

To start the database at any other time the command line to start the database is "%ROOT%\TRACXS\Database\Server\dbsrv8.exe" -n Qualitica -ch 20M -x tcpip "%ROOT%\TRACXS\Database\TRACXS.db -n TRACXS", include the quotation marks. %ROOT% is the root directory where the TRACXS database is located. Alternately double click on the 'TRACXS Database' icon to start the database.

Client (Workstation)

Put the CD into the work station CD drive. The installation program will start or open the CD using My computer or Explore or open the CD using My computer or Explore. Follow the instructions on the screen. Choose the location where the application will be stored. For people using TRACXS install TRACXS and Infomaker in the client machine. For people only viewing reports install Infomaker.

Starting TRACXS

To start TRACXS double click on the TRACXS Icon.


Password

The password is a sequence of case sensitive characters used as part of the log-in sequence. Only letters and numbers can be used in passwords. A password must be used by all users to log into TRACXS. A user can change their password at any time. The first time a user logs on they should change the password to one that only they know. The password should be written down and kept in a safe place that only the user has access to.


Change Password

On the first log on it is suggested the user changes the password. The change password button is the first menu button from the left.

A window will pop up to allow the change to be made. Enter the old password followed by the new one and the confirm password.


Start up

Start the program by double clicking on the TRACXS icon on your desktop.

Provide your log in name and password at the log in screen. Press the Enter key or click on the OK button.

Clicking the Cancel button will stop the log in process.

The next screen to appear is a Navigation screen. The Navigation screen has buttons to access the main parts of the system.

For Administration portion of the Navigation window has the following buttons:

OrganizationPeople

SystemProject

Tables

For Define portion of the Navigation window has the following look:

Quality Enhancements

Functional

Deployment Complaints

For Details portion of the Navigation Window has the following look:

DocumentsFMECA

Interface Deviation or

Waiver

For Tools portion of the Navigation window has the following look:

Cause and Effect

The menu toolbar has a similar set of buttons that are in the same sequence as the buttons in the navigation window. The first icon in the toolbar is the change password icon. There is no corresponding button in the navigation window.


First start up

When TRACXS is started the Navigation screen is displayed. On first start up the person using the system is assumed to be the TRACXS system administrator and a welcome screen is displayed..

Before TRACXS can be used the following must be done.

1. Enter information about organizations, customers, competitors, best in class, etc. The information required is the organization's name and the name of other parts of the organization. It is assumed the organization structure can be defined as a hierarchy. The hierarchy can have three levels The positions in the organization are recorded along with the address of each part of the organization.

2. Enter information about the users of the system. The information required includes: the name of the person, the user identification in TRACXS, the temporary user password, the read and write abilities of the user, the user's security privileges, the phone numbers, the e-mail addresses, and the position to which they are assigned in the organization.

3. Enter information about programs, projects and project managers. Programs are collections of projects. Programs and projects must be defined before data can be entered. All data about the system other than the information about organizations, users and projects is assigned to a project. It is not possible to access data without first defining a project.

The instructions how to do these three steps are in the navigation window. See the "Welcome to TRACXS" section above.

Once these steps are completed the project manager can start to enter other information about the project.

The description of what the project manager is required to do is found by clicking on the "Fast Project Set Up" check box in the navigation window.

The data that must be supplied are: the people assigned to a project, the names of the different levels in the Quality Functional Deployment window, and the organizations assigned to the project for comparison when using QFD. The QFD module cannot be accessed until this information is entered onto the computer. Other parts cannot be entered until the user and project information is added.

The project manager also has the option of assigning a project management model to assist with tracking costs associated with the project. To implement cost tracking the manager needs to select a cost model for the project.

To prevent "Welcome to Tracxs" being displayed in future click on the "Do not show start up instructions" check box.


TRACXS Interface

The TRACXS interface

The system uses standard windows features to move around each window and to navigate from window to window. The windows are either activated from the navigation screen that appears at the start up or as descendent children from a parent window.

As the user goes from one window to the next only the current active window is visible, except for the Identity, Note and Review windows. The system is designed to allow users to focus on the current window. This will reduce problems associated with keeping track of many things at once.

All windows, except the Identity window, have a tool bar menu. The standard menu symbols are:

New: click [image] to make a new record.

Close: click [image] or [image] in the top right corner to close a window.

Save: click [image] or [image] to save the data entered in a window.

Print: click [image] to print a report.

Help: click [image] to access the help.

Exit: click [image] to exit TRACXS

Other symbols are used to cause windows to appear.

To enter data, right click on the data window (section) in which data is to be added. A pop up menu will appear. Select the action from the menu that is desired. An example of a pop up menu is given below.

In most windows, when the user is finished entering the data, they are saved by clicking on the save button in the tool bar menu.

If the administrator or project manager decides to have users be identified whenever they add data or make changes or track changes an Identity window will pop up whenever there are additions or changes to data stored in the database. Deletions are considered to be changes. The window requires the user enter their identity. It is not possible to leave this window without supplying identification. The window is shown below.

Identity window

When data are added the status field will show New. For data that are changed or modified the status field will show Change. For deletions the status field will show Delete. For changes and deletions a reason must be given in the comment box when the window is presented.

Normally the person entering the data only have to enter their password since the user identity is passed to the identity window. If a mistake is made the user will be prompted for the user identity and the password.

To go to a child window double click on the row selected or use the right button clicked menu and choose from the menu.

Fields in which data can be keyed in are in white. Some gray fields may allow selection of items from a list. Other colours show fields that can be updated by other methods.

Two windows do not follow the convention described above. They are the Review Type window and the Note window.


Procedures and techniques

In the Navigation window or the menu bar the following items can be accessed: "Quality Functional Deployment", "Enhancements", "Complaints", "Specification", "Interface", and "Cause and Effect". Each one of these items needs to be of concern during product or service development. To access these features left click on the button in the navigation window, or the menu toolbar. A window will appear. Click the + sign beside the program name. Click on the + sign beside the project or double click to start the window. If there is a list of items double click on the list of items you want to proceed to; a window will open.

Right Click

TRACXS makes extensive use of the right mouse button. When the right mouse button is pressed and held down a pop-up menu will often appear. Choose a topic from the list and proceed.

Double Click

TRACXS makes extensive use of double clicking to activate various windows. Double clicking on an item will take the user to another window or bring data into a current window. Double clicking allows the user to expand the amount of data viewed for a particular item.

Drag and Drop

In some windows data are dragged and dropped to ensure accuracy of relationships in the database. When a drag and drop feature is active a [image] logo will appear as an icon for the drag.

Data

In the windows fields that can have data added or changed are highlighted with a white background. Fields that cannot be updated have a gray background. Fields that can be updated by actions such as drag and drop are highlighted in other colours.


Audit Trail

With TRACXS it is possible to track who is doing what on the system.

To manage the audit trail the user must have at least project manager privilege level. The audit trail is administered in the project data. There are four choices under Signature Trail. It is recommended the users be set in, 'People using the system are automatically identified as they enter data.' mode. Other options require users to be always identified and in one case the user must give reasons for changes.

To view the history of changes, right click on the item for which the history is required. Choose History from the pop up menu. A data window displaying the history will appear. The window shows a list the old value of the data and the date they were added, changed, deleted, reviewed, or approved.

Recording data

When a project involves more than a few people it becomes important to be able to track who is entering data and when they are doing it. TRACXS allows this information to be captured.

Changing data

When tracking the changes it is important to be able to identify who made the changes, when they made the changes along with the reason for the changes. TRACXS allows this information to be captured.

Changing Approved Documentation

TRACXS will restrict changes to approved documentation until change documentation is prepared to pre-approve the change.

Review and approval

There is also a need to track who approves documents and changes and when they are authorized or approved. TRACXS allows this information to be captured.

Restrictions

The audit trail is not applied to the cost model, personnel data, and some organization data.

Signature window

The window that pop up when the user has to enter their ID is as follows:

Enter the user id and password when the window appears. If changes are being made and the project manager required user to give reasons for the change the Comment field will be white and the user must enter a comment.


Login

A user is assigned a user identity when they are first allowed to use the software. It is suggested the user identity be made up from their last name and first name to reduce the chance of them forgetting it. Users should write down their identity number and store it in a safe place.

A password is assigned to each person. The person should then change the password after they log in.


Project

To use TRACXS a project must be set up. This is not optional.

Projects are themselves part of a program , which is a collection of projects. The first step in defining a program is to define a program, if one has not been defined, or select an existing program.

To have access to program data the user must have a privilege level > 90.

After a program is defined or selected a project can be added. Most project data should be added as soon as the project is started.

In defining a project it is best to make the schedule or plan. The plan is summarized in the cost model. Progress in the project is compared with the cost model when reports are required. It is suggested the cost model be related to a project defined in project management software.

In a project it is possible to define many conditions that will affect the way people work. The following items will affect how people work in the system and need to be defined at set up.

1) Start and end dates; these must be defined to be able to use the project reports feature.

2) Security level; people cannot be assigned to a project if their privilege level is less that the security level for the project.

3) Signature usage has four options:

a) People using the system are not identified as they enter the data.

b) People using the system are automatically identified as they enter data.

c) People using the system must identify themselves.

d) People using the system must identify themselves and give the reason for changes they make.

4) Time out; the program keeps records of how long people are logged into a particular module; if there is no activity in the module after a specified length of time the timer turns off; the specified time is called the Time out; to turn off this feature set the time out to 0. The recommended value is 15 minutes.

5) Cost model; to use the project reports a cost model must be specified; see the Cost model section to see how a cost model is built.

6) Work day length; the length of the average work day defined for the project; this value is used in progress reports.

Before entering data decide on:

a program name, if a new program is started,

a project name,

start and end dates,

the security level of the project, choose the lowest level possible if in doubt,

the time out,

the work day, and

a cost model, using a cost model enables the system to record design cost data, choose the standard model if in doubt.

With these data set up a project, log in and then go to Program in the System Tables. The following screen will appear.

In this screen every box except Cost Model and Note must have an entry. The project must have a name. The project code needs to be less than 5 characters. The start and end date should be given. The security level for the project needs definition. For signature usage, four options are available; choose one of them. The time out is typically set at 15 minutes; set to 0 if the cost tracking is not required.


Cost model

In the cost model tab give the Model a name.

To add data right click the mouse and choose the action wanted.

Define the model data.

The event is anything that is to happen in a project. They can be named with any name. The event type comes from the event type list. The list supplied gives some typical events in projects. In the resource column define the position of the person who is doing the work. Beside the name enter the hourly billing rate for the person; this rate is not the pay rate but includes overhead with the pay rate, overhead can be up to twice the pay rate, depending on the industry. The quantity defines how many people are required to do the work at that level. Duration is the length of time in hours that each person will spend on the event. The total cost is calculated form the previous data. The Relative time is the day in the project, relative to the start time that the event will take place.The model data must have a start with a Relative time of 0. The last item should have a duration of less than one day.


Reviews

TRACXS supports design reviews. Reviews are performed by people who sit on a review board. The members of a review board are assigned by the project manager. Documents and other items are assigned to review boards.

Assigning items to a review board

In many windows there is a box called Review Board. Scroll to the review board that is applicable and drag and drop the Review Board onto the item to be assigned to a review board.

Choosing a review type

In most windows there is an item called Review Type. In all windows except quality functional deployment the review type is chosen by double clicking in the Review Type box. In QFD the right click menu is used to identify the data being reviewed. The double click event takes the user to the following window:

Left click on the Action type. The pop up window will close ant the action type will appear in the review type. If the user is not assigned to a review board a message is displayed.

The action types are Review, Approve, Authorize and Accept. The accept case is used by the customer's representative. Other actions types can be added by the system administrator.


Description

The standard window to navigate through TRACXS at the system administrator level is as follows.

For project managers the navigation screen looks as follows.

For users the navigation screen looks as follows.

At first glance the TRACXS requirements may look very demanding of a user. This is because TRACXS has many items that a user can specify. TRACXS was designed to allow users to customize many of the names of items. Many organizations perform the same functions but use different names to describe them. At the system level the items that need description are the definition of organizations, users and projects.


Organizations

In this window the user can identify organizations that interact with your organization. This section allows the customers, suppliers, competitors and the best in class to be identified. This information is useful when it comes to bench-marking how well you are doing compared to other organizations.


Adding Users

Everyone who uses TRACXS must be entered as a user. People can have more than one user ID although this is not recommended. When users are added they can be associated with an organization. This feature allows the customers and others who may have an interest in what is going on to be logged onto TRACXS. To add or edit people data go to the people window.


Editing System Tables

TRACXS allows the user to implement many different options in using the system. Most of these options are set in the System Tables window. The tables updated in this window come with a set of standard values. The user may want to change the names of these items or the user may want to add more of their own.


Projects

To use TRACXS projects must be defined. They are initially defined in the system tables by the administrator. A project manager must be assigned to each project. A collection of projects is called a program. The project manager assigns people to each project in the Project Staff box in Projects window.

Project Management

In TRACXS it is possible to track some design costs.


Accessing Quality Functional Deployment

To use the Quality Functional Deployment part of the system click on the button above Quality Functional Deployment .


Accessing Enhancements

To access Enhancements click on the button above Enhancements .


Accessing Complaints

To access the complaints data click on the button above Complaints .


Accessing Documents

Clicking on the button above Documents allows the user to access documents that were prepared any where in the system. Users can make new documents and can edit existing documents. Documents can only be associated with a project in this window if the are not previously associated with any other parts of the system.


Accessing Interface Descriptions

Previously prepared Interface Control Documents can be viewed by clicking on the button above Interface .


Accessing FMECA

Previously prepared Failure Mode, Effects and Criticality Analysis can be accessed using the button above FMECA . New FMECA cannot be prepared using this option. They must be first associated with another topic before they can be viewed using this option.


Accessing Deviations and Waivers

Accessing Accessing Deviations and Waivers

Prepared Deviations and Waivers can be viewed by clicking on the button above Deviation or Waiver . To start a deviation or waiver a complaint must first be logged.


Crash Recovery

If TRACXS does not restart after a major crash such as a power loss the System administrator can click on this button to reset TRACXS.


Backup

Users should perform backups on a regular basis. The process of backing up the database can be automated and put on a schedule. A program specifically written for making scheduled backups comes with TRACXS. The program is called tracxs_maintenance.exe. To use the program the user must have system administrator privileges. An icon is placed on the desktop of the computer that has the database on it.

Backup process

There are two types of back up that can be done with the backup application. They are full and incremental backups. Full backups are usually done less frequently than incremental backups. Many organizations do a full backup once a week and an incremental back up daily. The frequency varies depending on the requirements of the organization.

Full backup

A full backup takes the database and the current log file and places then in the location specified by the user. The the copied log file is renamed with a date starting the name and the log file with the database is reset.

Incremental backup

Incremental backups takes the log file and copies it to a place specified by the user. The copied log file is renamed with a date starting the name and the log file with the database reset.

Backup procedure

Standalone

Close the TRACXS application. Start the Backup program by double clicking on the TRACXS Maintenance icon.

Network version

Start the Backup program by double clicking on the TRACXS Maintenance icon on the database server computer.

The following window appears.

Click on the Backup button. The following window opens.

The user chooses:

The type of backup they want to do.

The destination.

To click the Now button to backup immediately or,

To schedule the backup.

To schedule the backup choose:

The days in the week the backup is to be done.

Choose a start time for the backup, scroll through the hour and minutes and click at the desired time, the time is in 24 hour notation.

Optionally choose the backup frequency, by clicking on the unit desired and then scrolling to the desired number.

Click on the Implement schedule now button.

Examples

Full Backup once a week on Sunday at 1:00 p.m.

Backup Monday every 6 hours.

Backup every day but Sunday at 1 a.m..

Close the window.


Restore

Managing the restore process

Restore procedure

Open the TRACXS Maintenance program (see Backup). Click on the Restore button. The following window will open.

To perform a full restore copy the database (TRACXS.db) from the backup location by:

Entering the "Database or log to restore" line.

Entering the destination directory (folder) in the "Destination" line; the destination directory must not have a TRACXS.db file in it.

Clicking on the Restore button.

If the database is a network database restart the database.

Entering the name of the associated log file in the "Database or log to restore" line.

Entering the destination directory (folder) in the "Destination" line.

Clicking on the Restore button; TRAXS Maintenance will make a file ending is sql in the directory.

Opening ISQLC.exe and connect to TRACXS.

Opening the sql file in ISQL.exe and clicking on the execute button.

To restore from incremental backups:

Enter the name of the associated log file in the "Database or log to restore" line.

Enter the destination directory (folder) in the "Destination" line.

Click on the Restore button; TRAXS Maintenance will make a file ending is sql in the directory.

Open ISQLC.exe.

Open the sql file in ISQL.exe and clicking on the execute button.


Mirror log files

To have the data base record all transaction to a mirror log file start the TRACXS Maintenance program (see Backup). Choose the Log mirror option. The following window appears.

Enter a mirror log file destination directory

Enter the TRACXS Database directory (folder)

Click the Make mirror log file button.


Updates

From time to time updates will be made available to licenced users. There are two types of update; they are database updates and application updates. Updates are shipped as compressed files. The files need to be extracted to a directory on the appropriate computer. See the "Read me" file for instruction on updating the software.

Database

To update the database start the database if it is not already running. The command line is "%ROOT%\TRACXS\Database\Server\dbsrv8.exe" -n Qualitica -ch 20M -x tcpip "%ROOT%\TRACXS\Database\TRACXS.db" -n TRACXS. %ROOT% is the root directory where the TRACXS database is located. The command line can be run from Run in the Windows Start list.

Connect to the database by starting the program "%ROOT%\TRACXS\Database\Server\dbisqlc.exe". At the Login prompt type in your user login for the user and your password for the password. Click on the Database tab and type in Qualitica for the 'Server name' and TRACXS for the Database name. Click OK.

Go to File->Open, choose the file to do the database update, and then press the F9 key or the 'Execute' button. The file for updates always starts with crebas and ends with sql.

Application

Application update files always come as update and end in exe. To update the application open the CD or the file that was downloaded by double clicking on the update file. Follow the instructions on the screen.


Organization

Click on the organization button and enter the data for the organizations. The organizations listed can include the customer's organizations and suppliers. The screen will show the following window.

Key in the name of the organization wanted. Press the Enter or Tab key. If the organization is in the database the data will appear. If it is not the Organization will go blank. To add a new organization left click on the New button. The data previously entered will be automatically inserted for the user. Move from section to sections and key in the data.

The organization is set up to have divisions and departments. If the company does not have a division structure call the division the name of the company. The name of the departments is usually engineering, design, service, etc. The names vary from organization to organization.

TRACXS allows some flexibility in defining who is working where. It does not describe all possible organization structures. The structure of the organization feature allows the user to keep customers and employee organization in TRACXS. This is particularly important when customers have contractual requirements to approve documentation throughout the design process.

The departments involved in the design reviews and design need to be defined.

Add the data to the empty records. Data must be put in division and department.

Save the data. Respond to any identification windows that appear.

For a particular department and address add the appropriate positions within the department. To add a Position right click on the Position section, choose Add from the pop up menu, and add the data.

To add another division right click on the Division section, choose Add from the pop up menu, and add the data.

To add another department right click on Department choose Add from the pop up menu, and add the data.

Fast Start using standard interface


People

Before entering people data it is advisable to have the organization that the person works for listed in the Organization part of the database.

To enter data for personnel click on the People button and enter the data in the Personnel Data window. The following window will appear.

In the People section enter the name of the person. The last name and first name are mandatory. If the person is in the database their data will appear. If there are many people with the same name a list of names will appear. Double click on the appropriate name

If the person is not in the database the user will be asked if they want to add the person. Click the yes or no button. If yes is selected the data entered will appear in a new data window. Complete the rest of the information. The other name field is to be used for the married or maiden name of women and the nickname is used to store the nickname.

If this is the first time the system is used click on the new button in the menu.

In the User section add the user data. A user identity number and a temporary password are assigned to them.

In the User Group section assign a group to the user by clicking on the data box and selecting a group from the list.

In the Phone section right click on the data box, select add, and key in the person's phone number. Select the location of the phone; home, fax, work, etc

In the E-mail section right click on the data box, select add, and record the e-mail address of the person. Select the location of the e-mail address; home, or work.

People are allowed more than one phone number and e-mail address.

Save the data.

If the organization data is entered in the organization part of the database select an organization for the Organization data section. If the organization does not exist go to the Organization window and enter the data.


Users

Enter the user information in the User section to allow people to access data. Each user must have a User Id and a password. The administrator assigned the User Id and password. The user can change it at any time to whatever they want. Enter the user's language preference, privilege level, and start date for the user id.

Select a user group from the drop down list in the User Group section. Add the phone numbers and e-mail addresses for the user in the Phone and E-mail boxes. The location box identifies the location of the phone or the phone type. Work is the business regular phone number while Fax Home is a fax at home.

The user needs to be associated with an organization. To find the organization, type in the organization name in the organization search box. A list of division and departments will appear. Select the appropriate one by double clicking. In the Position box select the position from the list of positions. Drag the position to the Date to Position section. Enter the date the person started at the position.


System Tables

Set up the system tables by selecting Tools->System Tables in the menu. The following window will open. If there is more than one program double click on Pens to get the following screen

If the user clicks on [image] the view is changed to show all tables that the System Administrator can change.

Many of the tables have data supplied with the software.

The control menu in the top left corner cause the following actions: close, save, print, change tabs view, and help.

The [image] on right side closes the window

Data in the system table can be changed in many cases. The administrator can review the data in these tables and update them as desired. It is recommended that names be adjusted to suit your organization's usage. Tables in which deletions are not allowed are shown greyed out.

It is strongly recommend that items that are currently in TRACXS are not deleted.

If the user tries to delete a record and it is linked to the other data the user will get a database error message. This is normal behaviour and provides integrity for the database.

Changes made to system tables do not have an audit trail since with the exception of project and program data.

Programs

To add a program right click in the Programs box and choose add from the pop up menu.

All three fields must have data. The code can be edited.

To select a program double click on the program. The projects in a program will be displayed in a list in Project data and Project Relationships.

To see the programs that are in TRACXS click on the button with the up arrow.

Project data

To select a project double click on a project in Project data. IF a project manager was assigned the data will appear in the Project Manager box and the Customer for the project will be displayed.

To add a project right click in the Project data box and choose Add from the pop up menu.

This following fields must have data: project, code, start date, end date, security and signature trail. Choose a cost model and assign the work day and system time out, if desired.

Project Relationships

In this window the user can drag and drop project onto each other to make projects children of each other.

Project Manager

If the project is new the Project Manager should be assigned when the project is started.

To add a program manager drag and drop the selected project from the Project data box into the Project Manager box. Choose the project manager, assign a level, role, and hourly billing rate.

Customers

If customer data is already added in the Organization window assign a customer to the project by opening up the tree in Customers and dragging and dropping the customer onto a project.

Archive

From Program it is possible to place data into the archive. The person placing data into the archive must have Archivist privilege level.

Data are placed in the archive by choosing the archive option from the right click pop up menu.

Data can be released from the archive by selecting the retrieve all items from the archive button. The individual item can be then released form the archive.


Program

To access any of the data in TRACXS it is necessary to have programs and projects set up. A program is a set of related projects. Often there is funding for a program and projects are set up in the program to make things manageable. The first act is to define a program. The next is to define the projects within the program. Click on the Program tab to get the following screen.

Program

Right click menu in Program

Add

Clears the display and adds a row to the data window. Enter data to define a program. If there is no formal program call it Program.

Delete

This option flags a project as not current.

Archive

Used by the archivist to put completed programs into the archive.

Unarchive

Used by the archivist to restore a program after it is stored in the archive.

History

Shows the signature history if the signature audit trail is used.

Adding data

Add data for the program, code and security

Project

Right click menu in Project

Add

Add projects to the program. There must be at least one project.

Delete

This option flags a project as not current.

Archive

Used by the archivist to put completed projects into the archive.

Unarchive

Used by the archivist to restore a project after it is stored in the archive.

History

Shows the signature history if the signature audit trail is used.

Adding data

Add data as required in Project. Project, code, start date, end date, and signature trail are mandatory. For the audit trail the default is record user id for entry and changes. The if no cost model is chosen leave it at the default; at the default value no design cost data are collected. If cost tracking is required then the work day and time out must be given. The work day is the billing work day. The time out is the time the system used to turn of the time tracking if the uses is not using the TRACXS.

Project manager

Right click menu in Project Manager

Delete

This command deletes the person as a project manager.

To add a project manager, drag the project onto the Project Manager box.

Adding data

Select the name of the project manager from the drop down list, enter the billing rate and the privilege level assigned for the project. The role is usually chosen as project manager. The billing rate is the rate the customer is changed for the services of the project manager, it is not the salary.

Only one project manager can be assigned to each project.

Organization

This box is used to associate a customer with the project. If an organization is of the type 'Customer' it will be displayed in the Organization box. To associate a customer with a project open up the tree by clicking on the + signs. Drag the third level item onto the project and drop it. The window will change to show the association.


Group

Click on the Group tab to get the following table.

In "Group define the groups that people can belong to. Groups define the abilities of people to read or write to the database.

Right Click

Add

Adds a new row to group. Enter values for Group Name and Ability.

Delete

The delete option deletes a row if it is not saved or flags a saved row as not current.


Security and privileges

Privilege and Security

The following restrictions are hard-coded into the program.

To access the System Tables the user's privilege level must be 91 or more. The person who uses the system the first time automatically has a level of 100.

The archivist has a privilege level of 90.

To access the Project Management window the privilege level must be between 80 and 100.

To access the Personnel Data window the privilege level must be between 80 and 100.

Access to the data entry windows is managed by the privilege level of the person being above the security level for the project.


Geography

Under geography are common locations used by people in the area where the organization is located.


Pictures

This section allows the user to change the symbols used in the Quality Functional Deployment window. The files should be stored in the same directory as TRACXS exe file. It is recommended that the items not be changed. The ability to change items is given to the user to improve flexibility. To review the different types of pictures click on the pictures tab. The following will be displayed.

The table FunctionCorrelation corresponds to the correlations matrix that makes up the roof of the house of quality. FunctionMatrix corresponds to the matrix that relates the "Hows" to the "Whats". TRACXS is designed to have a maximum of 6 correlation levels and 3 relation matrix levels


Categories

Some data in the database can be divided into categories. For example, when the current feature object is used the user may want to prepare a specification one day and an instruction another day. The categories required are:

1.Enhancement, the usual categories are change proposal, and change notice.

2.Complaint, allows categorization of complaints and corrective action requests.

3.Environment, allows the categorization of the types of environment the data are applicable to.

4.Document, allows documents to be categorized; TRACXS could be used to develop procedures and instructions.

5.Interface specifies the type of interface that is possible for the organization.

Records are added to the system by right click and choosing Add from the menu.


Board

To use TRACXS it is assumed that the organization has a design review process that has documents reviewed at various times in the life cycle of a project. The board, review type and baseline definition are stored in the database. The data that come with TRACXS are common design review stages. These stages are also applied to the title if specifications and "What and "How items in the Quality Functional Deployment diagram. For Enhancement the review board is the Configuration Control Board. It is mandatory to have this board type when using TRACXS. It shall be the first item in the list. It is suggested that the number of boards not exceed five.

Right Click

Add

Adds rows to the list.

There are no other functions in this window.


Relationship to organizations

Relationship

Part of the process of evaluating how we are doing is to compare us with different organizations. In this window the relationships that are possible are described. It is suggested the number of relationship types stay as defined.

The supplied relationships are: Our organization, Supplier, Customer, Competitor, and Best in class.


Actions

There are three data windows in the tab. They are User Updateable, Fixed, and Allowed Actions For Signature.

User Updateable

In user definable the administrator can define terms for the organization. The terms apply to the review actions.

Fixed

The Fixed items define the actions if the data are new, changed, or deleted. The statuses that are defined and cannot be changed are New, for a data, Delete for deleted data, and Change for data that are changed. For a project the type of action the project manager takes is decided during the set up. Data must be new, delete, or change with any other categories the user desires. These other actions are most useful in environments where there are many people who have input into the approval process of a design.

Allowed Actions

The allowed actions define how the identity of users will be entered. The types of actions permitted by the system are as follows:

1. No record of who entered the data,

2. Automatic recording of data, in this case the system will assume the operator is the person making the changes,

3. Manual recording of the identity, in this case the user must enter the identity manually for each save, and

4. Record the reason for changes, in this case the user must identify who they are on each save, and also give the reason for the changes for alterations to the data or deletions.


Target type

This window is used to describe the different target type that exist when using the Quality Functional Deployment window.

There are three classes in this system. The mid value, which is the target value aimed for. The high value, usually the upper specification limit. The low value, usually the lower specification limit. The program comes with some suggestions. They can be added to as desired.


Project administration

Information about a project is managed through the Project Administration module. It is accessed by clicking on menu Detail->Project, the project button, or project menu item.

The following window will appear.

Click on the + sign beside the program to list the projects in a program. To enter the project administration window double click on the project. Proceed to Project Information


Project Information

The following items will affect how people work in the system. They can be edited here.

1) Start and end dates; these must be defined to be able to use the project reports feature.

2) Security level; people cannot be assigned to a project if their privilege level is less that the security level for the project.

3) Signature usage has four options:

a) People using the system are not identified as they enter the data.

b) People using the system are automatically identified as they enter data.

c) People using the system must identify themselves.

d) People using the system must identify themselves and give the reason for changes they make.

4) Time out; the program keeps records of how long people are logged into a particular module; if there is no activity in the module after a specified length of time the timer turns off; the specified time is called the Time out; to turn off this feature set the time out to 0. The recommended value is 10 minutes.

5) Cost model; to use the project reports a cost model must be specified; see the Cost model section to see how a cost model is built.

6) Work day length; the length of the average work day defined for the project; this value is used in progress reports.

The set up a project, log in and then got to program in the Project. The following screen will appear.

In this screen every box except Note must have an entry. The project must have a name. The project code needs to be less than 5 characters. The start and end date should be given. The security level for the project needs definition. For signature usage four options are available; choose one of them. The time out is typically set at 10 minutes.

In the People in organizations list click on the + signs and until the person in the organization is identified. Drag the name onto Project staff to assign the person to the project.

In the Add people to project events section people can be assigned to specific events. To assign a person to an event the project must have have a cost model that is not None (see above). Drag the person in the project staff box and onto the event they are to be assigned to.

To view the people assigned to an event or activity click on an event and a list will appear to the right.


Levels

This tab defines the levels in the Quality Functional Deployment system being set up. If the project is new the window will display a set of options. The user has the option of using a default set of levels. The default set of levels is: Customer's Needs, Functional Requirements, Design Parameters, Process Variables, and Production Plan. The picture below shows the objects that appear on the screen.

The Set up options section allows the use to choose an automatic set up. One of the following items can be chosen. Add Standard levels sets up the levels that are standard in the literature. QFD Set up from a Previous Project allows the user to find a previous project and import the set up into the current window. QFD Set up from a generic project allows the user to import a generic QFD set up into the window.

The items with check boxes under the Set up options section define, in detail, what parts of a selected project are to be brought into the window.

It is recommended that the user selects Add Standard Levels until they are familiar with TRACXS.


Reference

In this tab a list of organizations which, are to be used in the assessment of customer needs and other items, is displayed. Your own organization must be included in the list and must be assigned the Type of reference "Our Organization". If the list of reference types available is insufficient add more in the system tables .

To add an organization Click on the + signs on the organizations desired in Organization Data until the third level is reached. Drag the organization onto the Benchmarkers window.


Review Board

This section defines the names of the review boards used on a project along with the people who sit on each board. To use the review action window the user must be a member of a review board for the project.

In the People in organization section click on the + sign until the people in the organization are displayed.

Drag and drop the name of the person on the Review section.

Drag and drop the Board Name of the review board on the item in Review.


Cost Model in Project


Project Reports

This tab allows the project manager to access different reports on the project's progress. The reports are both detail and summary. They provide information about how the project is doing with respect to the work that is completed, the cost and schedule.


Navigating for data entry

To enter data the user must be assigned to a project. The system administrator does not have automatic access to data entry windows. If the system administrator is to access the data the administrator must be assigned to a project. The system administrator assigns project managers.


Choosing a project

In the Navigation window click on the Quality Functional Deployment window. The following window will appear.

Click on the + sign of the program you want to work in. A list of projects will appear.

Click on the + sign of the project you want to work in. A list of QFD items will appear as in the window below.

Double click on the level you want to got to. Double clicking on the last entry in the list does nothing.


Quality Functional Deployment Window

When this button is clicked a window will ask for the project. Enter the project name and press the enter key. Levels will then appear. Choose the level you want to work on and double click on it. The QFD window will open.

There may be a box called Project Activity. This box appears if the project manager wants to perform project accounting.

Data are entered in the section labeled What and the section labeled How .

A What describes what is required to meet the customer's needs. The information in this window is obtained from marketing, sales, field service and other departments who interact with the customer. To add a row, right click on the sections and select Insert or Add. If it is desirable to indent the data to improve readability, click on the left or right arrows in the section. Assign an importance to the customer need. Again the value of the importance is determined by interacting with the customer.

The How section describes how we are to do it. To enter data into the How row, right click on the box and choose Insert or Add. A new box will appear for data entry. Enter the data in this box. Continue to enter the data until complete. Save the data once it is all entered. To return to the How display window right click on the data entry box and choose Close.

Correlation defines relationships between Hows .

The Relationship Matrix defines the relationship between the Whats and the Hows.

Market assessment allows the user to determine how well an organization goes to meeting the requirements listed in the What section.

Target allows users to set target values for each How.

Assessment allows users to define how well an organization meets the items specified in the How section.

Review Type is used by reviewers to approve documentation.

If a project is fully defined the user will be required to identify what part of the project they are working in before they leave the window. To do this the user goes to the project window and scrolls to the appropriate project item and clicks on it. The user can then leave the window. If the user does not select a value for the part of the project worked on the user will be prompted to select a value.

QFD Menu

The QFD menu and toolbar have many options. The menu has the following look.

The options are in order of appearance: close, save, copy, refresh, indent, undo indent, sort, filter, cause and effect, QFD report, what report, how report, target report, market assessment graph, technical assessment graph, traceability report, target results report, quality report, help and exit.

Close closes the window

Save saves the data.

Copy copies the data from a field to the clipboard. This applies only to the what and how parts of the window.

Refresh allows users to retrieve data when they feel the data are not current.

Indent allows the user to indent a row. This applies only to the what and how parts of the window.

Undo indent allows a user to reverse an indent. This applies only to the what and how parts of the window.

Sort allows the user to resort the data. This applies only to the what and how parts of the window

Filter allows the user to set a lower value for the importance. When this button is clicked a filter box opens. In this box the user can define the lowest value of the importance they want to display. To enter data the filter values must be 0.

Cause and effect starts the cause and effect diagram in a window that is split.

The next nine buttons are reports.

Help starts the help program.

Exit causes the program to end.


Add correlation data

The expand correlation window shows much more of the correlation matrix than the main window. Only the correlation matrix can be edited in this window. To select a correlation value left click and choose a level from the correlation list.

The right click popup menu has the following items: View Numbers, View symbols, Expand correlation view, Add correlation data, and Review.

View Numbers

Changes the display from symbols to numbers. This menu item can have two values. The second value follows. The correlation values can be -2, -1, 1, 2. Normal values for correlation is from -1 to 1. The values of -2 to 2 simplify the display.

View Symbols

Changes the display from numbers to symbols

Expand correlation view

This menu item expands the correlation matrix to the full size.

Add correlation data

Changes the screen to the data entry screen for correlations

Review

Allows users to review the data.


How

How display

Once each What is determined identify how the needs are to be met and record them in the How section.

This section has the following look:

Note that the data are displayed vertically. In this mode data cannot be entered. To enter data, the data window needs to be changed to horizontal mode. The method of changing the orientation is described in the text below.

For the improvement direction click on a square and a pop up menu list will appear. Click on the desired direction.

For the subgroup right click and choose Display horizontal from the pop up menu. Drag the Sub project item into the desired how.

To enter data right click on the lower part of the how. A pop up menu will appear. Choose on of the following: Add to add data to the end of the list, Insert to insert in front of the current item, or View horizontal to view the data. The current data window will be covered by a new data window with normal orientation. Enter, edit and move data around using this data window.

The right click pop up menu has the following items in it: View Horizontal, Insert,Add, Note and Document. The item will perform the following actions:

View Horizontal

View Horizontal displays the data horizontally for easy viewing and data entry. The data window has the following look

Insert

Insert is used to put new data into the table. In this section right click on the mouse and select Insert. A new data window will open and the cursor will be at the new line; the new data window is oriented down the page and is a standard data window. The cursor will be in the location where the insertion was requested. Enter the How that will be used to meet a What.

Add

Add changes the orientation from vertical to horizontal and adds a new row at the end of the current list.

Note

Selecting Note allows the user to annotate the "How. A window will appear to allow the user to make a note about the "How.

Documents

To define the "How in more detail right click on a text item and choose Documents from the pop up menu. A new window will open.

Each item in the "How needs a title and a section in which it is placed in the scheme of the project specification. To add an item right click on the window and choose Add from the popup menu. A line to enter data will appear. Enter the data. For the actual specification double click on the title after it is saved. A new window will appear.

The numbering in this window is automatic. Enter the document or specification items and save them. It is best to have one specification item per row. Following this rule will allow the user to have full traceability on all specification items at the end of the project.

Adding data

When the data are in horizontal mode the pop up menu that appears by right clicking in the window has the following items: Copy, Past, Insert, Add, Delete, Display vertical, Note, Documents, FMECA, and History

Copy

Copy allows users to copy text from a box,

Paste

Paste allows users to paste into a box

Insert

Insert inserts a new row into the list before the insertion point

Add

Add add a new row at the end of the list.

Display vertical

Display vertical changes the orientation of the display to vertical.

Note

Note brings up a window that allows user to record brief notes about what they are doing.

Documents

To define the "How in more detail right click on a text item and choose Documents from the pop up menu. A new window will open.

FMECA

FMECA brings up a Failure Mode Effects and Criticality Analysis window.

History

History shows the record of the people entering data.


Sub-grouping

As the QFD chart is built the user may want to place the items in categories or sub-groups. In the QFD window there are two sub-group boxes. On is for the "Hows" the other is for the "Whats".

To add a sub-group right click in the box and choose Add from the pop up menu.

Add the data and save.

To assign an item to a subgroup drag and drop the subgroup onto the item in the "What" or "How" list. The "How" list must be in horizontal mode.

The data are automatically sorted by subgroup.

If the sub-group is dropped onto an indented item, the indented item and all children and parents will be updated to be part of the subgroup.


Indenting

To improve readability of the QFD chart items can be indented. To indent an item click on it the then click on the indent button in the toolbar.

To undo an indent click on the button beside the indent button.


Relationship Matrix

The matrix

The relationship matrix defines the strength of the relationship between the "What and the "How. For each "What there should be at least one "How related to it. To choose a relationship strength left click on mouse. A list of relationship strengths will appear. Choose one that represents the strength from the list. The strength of the relationship can have values of 1, 3, or 9; 1 being weak, 3, moderate and 9 strong. An empty cell denotes no relationship.

The right click pop up menu has the following items: View Number, View Symbols, View characters, Link to a document, Note, Delete, Review, and History.

View Numbers, View Symbols, or View characters

The first menu item can have different values. They are: View Numbers, View Symbols, or View characters. They allow the user to change the displayed values from symbols to numbers, or from numbers to characters, or from characters to symbols for the matrix.

Link to a document

To ensure complete documentation of the system being designed it is possible to identify external documents with each cell in the matrix. To assign a document, right click on the mouse and a pop up menu will appear. Select Document. A window will pop up.

The window displays the "What and the "How. Enter the location of the document on the system in the "Document box. Only one document is allowed per cell. Right click on Document or drawing and chose Linked Document. A directory list will appear. Go to the document you want and select it.

Note

Selecting Note allows the user to annotate the "How. A window will appear to allow the user to make a note about the "How.

Delete

The delete option allows a relationship to be deleted from the display. The associated data are not deleted but saved as not current in the database. The item is removed from the display. If delete is used and a new value is entered data entered that was related to the deleted value will become inaccessible.

Review

Choosing Review from the right clicked pop up menu will allow the user to review the data if a review is selected from the Action box at the top of the screen.

History

Selecting history allows the user to see the change history of the item selected.


Correlation Matrix

As the "What column and "How rows are completed correlation matrix data are entered. The Correlation Matrix defines the strength of the relationship between the various items that make up the "How row. The strength is on a scale from - 2 to 2 with an empty cell having a value of 0. To enter a correlation left click on the area to which a correlation is to be added and choose a value from the pop up menu.

The correlation matrix has the following look.

The right click pop up menu has the following items: Expand Correlation and Review.

Expand correlation view

This option enlarges the correlation matrix in the current window and moves all of the other data windows that are below it. When this option is chosen the next time the right click button is used the menu will show Decrease correlation view. Selecting this option will reduce the size of the correlation matrix display to the original size.

Expand Correlation

When the expand correlation option is used a new window opens displaying the correlation matrix and the "How data. In this window it is only possible to edit the correlation matrix

Review

Choosing Review from the right clicked pop up menu will allow the user to review the data if a review is selected from the Action box at the top of the screen.


Market Assessment

In the market assessment data window it is possible to define how well a "What is met. In the window that opens it is possible to identify who the assessment applies to; the competition or our organization are the usual values. The scale in the data window is from Poor to Excellent. Poor has a value of 1 while Excellent has a value of 5. The right click pop up menu has the following items Market Assessment and Review.

Market assessment

To define the customer's assessment of your ability to meet the "What, right click on the Market Assessment data window and select Add Market Assessment. A window will pop up.

Enter the identity of the organization that has the chosen level. Save the data. The window closes after clicking on the Save button.

Review

Choosing Review from the right clicked pop up menu will allow the user to review the data if a review is selected from the Action box at the top of the screen.


Technical Assessment

For the technical assessment right click on the value that your organization meets. The same window that was used in Market Assessment will pop up. Enter the data and save. The scale in the data window is from Poor to Excellent. Poor has a value of 1 while Excellent has a value of 5. The right click pop up menu has the following items Market Assessment and Review.

Assessment

To define the technical assessment of your ability to meet the "What, right click on the Market Assessment data window and select Add Market Assessment. A window will pop up. Enter the identity of the organization that has the chosen level. Save the data.

Review

Choosing Review from the right clicked pop up menu will allow the user to review the data if a review is selected from the Action box at the top of the screen.


Priority

The priority is calculated by the program by adding the product of the importance and the relationship matrix value in a column.

Right Click

The display with the right click on the mouse changes from "Increase" to "Reduce". Selecting one of these option changes the magnitude of the data by a factor of 9.


Targets

The target values are values of the data that we are trying to achieve. The right click pop up menu has the following items: Target Values, and Quality Description. Choose Target Values, the following window will appear.

Target Values

Enter the target information in this window. Save and return to the main window. Add the upper and lower specification limits at the same time by right clicking on the row and adding another. Add the reference organization by double clicking on the desired reference.

When collecting target data the conditions, or environment, around the data collection should be specified. The Target Values window allows this information to be collected.

As the project progresses testing will be done to assess how well we are meeting the target values. The test results and the environment the system operates in while under test are recorded in Results and Results Environment respectively.

In this window use the drag and drop feature to activate a new item in adjacent windows. The following sequence can be dragged and dropped: Targets to Environment (left side), Targets to Test Results, Test Results to Environment (right side), and Environment (left side) to Environment (right side) after a Test result is dragged to the Environment (right side).


Target values and results

This window has four sections, they are: Targets, Environment, Results, and Results Environment.

Targets

Data entered in the targets data window describe the nominal target value the system is to meet. TRACXS allows the user to describe any specification limits that are to be met.

Environment

The data collected in the environment data window describes the conditions that apply to the target value.

Results

The results are a record of the actual values the target values achieved during testing.

Results Environment

The results Environment allows the condition under which the test took place to be described.

Pop up menu

Add

To add a row use the add option.

Delete

The delete option allows a row to be deleted from the display. The associated data are not deleted but saved as not current in the database.

Review

Choosing Review from the right clicked pop up menu will allow the user to review the data if a review is selected from the Action box at the top of the screen.

History

Selecting history will show the data entry history for the data item selected.


Quality

Right clicking on the Targets will display two options. One of these is Quality Description.

A review of quality characteristics is performed at each design review.


Quality Description

The target can also be described in narrative form are values of the data that we are trying to achieve. The right click pop up menu has the following items: Copy, Add, Delete, Review, and History.

The quality description window allows a narrative to be added to fully define the target values. There is one data window for data entry. To select an organization, drag and drop the organization name from the reference window at the top of the window to the item below. The items for data entry are: Detail Description, Quality Characteristic, Environment Description, Difficulty Description, Units, Needs met, and Difficulty Rating.

Detail Description

The detail description is a description of the target value we are trying to achieve. It is used to support the numbers that are given in the Targets window.

Quality Characteristic

The quality characteristic is a narrative describing the quality being measured.

Environment Description

The environment description provides detail of the environment the quality characteristic will be measured.

Difficulty Description

The difficulty description is a narrative on how difficult it will be to meet the target value. The target value is shown in the box labeled target.

Units

The units item define the units the quality criterion is to be measured in.

Needs Met

The needs met item rates how well the customer's needs are met for a particular "How.

Difficulty Rating

The difficulty rating describes the assessment of the ability of the organization to be able to meet a particular "How. The value the difficulty rating has a value form 1 to 5; 1 is the easiest level, 5 is the most difficult.

Right click

The right click menu has the following items: Add, Delete, Review, and History.

Copy

Copies data from a field.

Insert

To add a row, use the Insert Detail option. A data window with empty boxes will appear.

Delete

The delete option allows a row to be deleted from the display. The associated data are not deleted but saved as not current in the database.

Review

Choosing Review from the right clicked pop up menu will allow the user to review the data if a review is selected from the Action box at the top of the screen.

History

Selecting history will show the change history for the data item selected.


Documentation

With the Documentation portion of TRACXS it is possible to build a specification or other type of document. The document can be attached to a specific Quality Functional Deployment item. The advantage of attaching a specification to each QFD what and how is that it is possible to identify the whats and hows that do not have a specification. Having a specification built for all whats and hows allows the computer to do a check on the level of completion of the project. Those items that do not have a specification can be identified and data entered for the missing pieces.

In the specification section it is possible to attach documents to the specification. This implies that for each specification that has a drawing or other object associated with it the object can be read from the specification.

In this window it is possible to: define specifications, define chapter and paragraph titles and add line items for the specification.

If the project manager has fully defined a project the user will be required to identify what part of the project they are working on. To do this, the user scrolls to the event in the project they are working in. To select the event click once on the event. In these cases the user cannot leave the window until the event is selected.

TRACXS can be used to build specifications, procedures and other documents that require traceability to customer's needs


Document from QFD

On either a "What" or a "How" right click to bring up the pop up menu. Choose Document. The document window will open. The example has one document, a specification, listed.

To view the definition of each control button right click on a button and see the micro-help at the bottom of the page.

The Project Activity box may or may not appear depending on the options the project manger has chosen.

When the window opens the first time it will be blank. Click on the New button. Add data to the Book Title and choose a category for the book. Save the data. Double click on the item and the Chapter/Section data window will appear. The Chapter/Section is a table of contents.

The Book Title data window has the following right click pop up menu items.

Copy

Copy allows the user to copy data from a field to the clipboard.

Paste

Paste allows the user to copy data from the clipboard to a field.

Delete

Delete removes a line from the data window. Data are not deleted from the data base but are marked as deleted.

Review

Review allows a user to define a review status for the Book Title.

Detail

Detail opens another window that allows details of part number or configuration item number to be added.

History

History shows the data entry history of the filed that was clicked.

Enter an index number or choose from the list displayed by clicking on the index box. Tab and a new box appears. Enter the Chapter/Section title. Save the data. Chapter/Section s can be indented and the indenting can be undone. Changing the indenting changes the indexing automatically.

The Chapter/Section data window has the following right click pop up menu items.

Copy

Copy allows the user to copy data from a field to the clipboard.

Paste

Paste allows the user to copy data from the clipboard to a field.

Insert

Insert allows users to insert a row above the current row

Add

Add adds a line to the end of the list in the data window and scrolls to the line.

Delete

Delete removes a line from the data window. Data are not deleted from the data base but are marked as deleted.

Review

Review allows a user to define a review status for the Chapter/Section.

Detail

Detail opens another window that allows details of part number or configuration item number to be added.

History

History shows the data entry history of the filed that was clicked.

Double click on a row in Chapters/Section. A box appears in the Data section.

In the Data section add the sentences that belong to the row in Chapter/Section.

The Data right click pop up menu has the following items.

Copy

Copy allows the user to copy data from a field to the clipboard.

Paste

Paste allows the user to copy data from the clipboard to a field.

Move a row

Move a row allows the user to change the order of sentences in the Data box.

Insert

Insert allows users to insert a row above the current row

Add

Add adds a line to the end of the list in the data window and scrolls to the line.

Delete

Delete removes a line from the data window. Data are not deleted from the data base but are marked as deleted.

Review

Review allows a user to define a review status for the Chapter/Section.

Environment or conditions

Environment or condition opens a window that allows the user to define the environment or conditions that are placed in the Data item. This feature allows details of conditions to be prepared along with the Data item.

Link Document

Link document opens another window that allows the user to attach a document that is some where else on the system to the document data item. The pointer must be on the

Add subtitle

Add subtitle allows users to define a tree of descendant sections and data items to the current data item. This is an advanced feature and should be practiced before using on an important document.

Testing

Testing opens another window that allows users to record test procedures and test conditions applicable to a data item.

FMECA

FMECA open the Failure Mode, Effects and Criticality Analysis window.

History

History shows the data entry history of the filed that was clicked.

Right click and choose Add from the pop-up menu to add more sentences. Indexing is automatic in this section.

To reference another document right click on the Link box and choose Link document form the pop-up menu. A widow that allows files to be displayed will appear. Choose the file wanted from the menu.

To open or view a file double click on the Link. If the program need to view the file is on the computer the file will be displayed by the program.

Continue to add data.

Save the data when finished.

Double clicking on a Chapters/Section row or a Data row causes the amount of data displayed to be changed.

As the specification is developed each item in Chapters/Section is attached to the QFD matrix item it originated from.

If the project manager has fully defined a project the user will be required to identify what part of the project they are working on before closing. To do this the user scrolls to the event in the project they are working in. To select the event click once on the event. When project tracking is active the user cannot leave the window until a project event is selected.


Documents

To build documents that are not related to the QFD item click on Documents in the Navigation window. In the window that opens click on the plus signs until a list of documents is displayed. Double click on the document wanted. If the document is not in the list double click on the project to show all documents for the project.

The Project Activity box may not appear. If the box is not present the project manager chose not to use project accounting.

When the window opens the first time it will be blank. Click on the New button form the tool buttons Add data to the Book Title and choose a category for the book. Save the data.

The Book Title data window has the following right click pop up menu items.

Copy

Copy allows the user to copy data from a field to the clipboard.

Paste

Paste allows the user to copy data from the clipboard to a field.

Delete

Delete removes a line from the data window. Data are not deleted from the data base but are marked as deleted.

Review

Review allows a user to define a review status for the Book Title.

Detail

Detail opens another window that allows details of part number or configuration item number to be added.

History

History shows the data entry history of the filed that was clicked.

Double click on the row and the Chapter/Section data window will appear.

The Chapter/Section data window has the following right click pop up menu items.

Copy

Copy allows the user to copy data from a field to the clipboard.

Paste

Paste allows the user to copy data from the clipboard to a field.

Insert

Insert allows users to insert a row above the current row

Add

Add adds a line to the end of the list in the data window and scrolls to the line.

Delete

Delete removes a line from the data window. Data are not deleted from the data base but are marked as deleted.

Review

Review allows a user to define a review status for the Chapter/Section.

Detail

Detail opens another window that allows details of part number or configuration item number to be added.

History

History shows the data entry history of the filed that was clicked.

Enter an index number or choose from the list displayed by clicking on the index box. Tab and a new box appears. Enter the Chapter/Section title. Save the data. Chapter/Section s can be indented and the indenting can be undone. Changing the indenting changes the indexing automatically.

To set a Chapters/Section as a part number or configuration item number right click on the Chapters/Section and choose Detail from the pop-up menu.

Double click on a row in Chapters/Section. A box appears in the Data section.

The Data right click pop up menu has the following items.

Copy

Copy allows the user to copy data from a field to the clipboard.

Paste

Paste allows the user to copy data from the clipboard to a field.

Move a row

Move a row allows the user to change the order of sentences in the Data box.

Insert

Insert allows users to insert a row above the current row

Add

Add adds a line to the end of the list in the data window and scrolls to the line.

Delete

Delete removes a line from the data window. Data are not deleted from the data base but are marked as deleted.

Review

Review allows a user to define a review status for the Chapter/Section.

Environment or conditions

Environment or condition opens a window that allows the user to define the environment or conditions that are placed in the Data item. This feature allows details of conditions to be prepared along with the Data item.

Link Document

Link document opens another window that allows the user to attach a document that is some where else on the system to the document data item.

Add subtitle

Add subtitle allows users to define a tree of descendant sections and data items to the current data item. This is an advanced feature and should be practiced before using on an important document.

Testing

Testing opens another window that allows users to record test procedures and test conditions applicable to a data item.

FMECA

FMECA open the Failure Mode, Effects and Criticality Analysis window.

History

History shows the data entry history of the filed that was clicked.

Right click and choose Add from the pop-up menu to add more sentences. Indexing is automatic in this section.

In the Data section add the sentences that belong to each title. Right click and choose Add from the pop-up menu to add more sentences. Indexing is automatic in this section.

To reference another document right click on the Link box and choose Link document form the pop-up menu. A widow that allows files to be displayed will appear. Choose the file wanted from the menu.

To open or view a file double click on the Link. If the program need to view the file is on the computer the file will be displayed by the program.

Continue to add data.

Save the data when finished.

Double clicking on a Chapters/Section row or a Data row causes the amount of data displayed to be changed.

As the specification is developed each item in Chapters/Section is attached to the QFD matrix item it originated from.

If the project manager has fully defined a project the user will be required to identify what part of the project they are working on before closing. To do this the user scrolls to the event in the project they are working in. To select the event click once on the event. When project tracking is active the user cannot leave the window until a project event is selected.

If the user wants to attach a document to a QFD item it can be done by choosing a Level (double click) and then dragging the item into a document Chapter/Section.


Part numbers

To assign a part number or a configuration item number to a chapter or section use the following window.


Tests

To access test procedures right click on the specification and choose Tests from the pop up menu.

A test window will appear. In this window it is possible to record the test procedure, test results, proposed test environment and the actual test environment.

In the box labeled Step record the steps for the test procedure. Each test procedure is uniquely numbered and there is space to record the planned dates of the testing and the duration of the test. From this information a test plan can be built. Save the data.

The Test Environment is determined by dragging and dropping the Test Procedure box to the left side of the Test Environment area. A description of the desired test environment is made in the box. Save the data.

Once the test is performed the test results can be recorded. To record test results drag and drop the Step to the right half of the Test Procedure box. A Test Result box will appear. Record the test result and save the data.

Drag and drop the test result onto the area to the right of the Nominal test environment. Drag and drop the Nominal test environment onto the new box. Enter the test environment values determined during the testing. Save the data.

Repeat the procedure as many times as desired.

Each section has the same right click pop up menu.

Copy

Copy copies the data from a field to the clipboard.

Paste

Paste copies data from the clipboard to the field.

Add

Add inserts a row at the end of the list and scrolls to the row.

Delete

Delete removes a row of record from the data window. If data already exist they are not deleted but are tagged as deleted.

Review

Review allows users to mark data are reviewed.

History

History shows the data entry and editing history of the data.


Environment or Conditions

Describe and define the properties of the environment or conditions the system will operate in. The environment includes the physical environment as well as the abilities of the people delivering, servicing or using the product or service. Any other conditions that may affect the document should be described in this section. When developing specifications the environment in which the item must operate needs to be described. The environment window is accessed from the specification window. When it opens it looks like the display below.

The right click menu is as follows.

Copy

Copy copies the data from a field to the clipboard.

Paste

Paste copies data from the clipboard to the field.

Insert

Insert inserts a row before the current row.

Add

Add inserts a row at the end of the list and scrolls to the row. Delete

Delete removes a row of record from the data window. If data already exist they are not deleted but are tagged as deleted.

Review

Review allows users to mark data are reviewed.

History

History shows the data entry and editing history of the data.


Interface control document

When the interface control document is started the following window appears.

The ICD window has three parts. The input to the interface needs to be described. The action the interface is to do is described and the output of the interface is added. The sections can have the following items in the right click pop up menu: Add, Delete, Review, and History.

Add

The add option adds a new row to the data window displayed. The adoption is not available in the interface definition data window.

Delete

The delete option allows data to be removed from the screen and flagged as not current. The delete option is not available in the interface definition data window.

Review

Choosing Review from the right clicked pop up menu will allow the user to review the data if a review is selected from the Action box at the top of the screen.

History

Selecting history will show the data entry history for the data item selected to be related.

Note

Selecting Note allows the user to annotate interface data. A window will appear to allow the user to make a note about the interface.


Interface from navigation

In the Navigation window click on the Interface button. To select a project click on the + signs until the interface document is reached. Double click on the interface wanted. The following window will appear.

To add an interface click on the New button in the toolbar.


Failure Mode Effects and Criticality Analysis

The FMECA module can be accessed form many different places. To add data to FMECA right click on allocation in QFD, a complaint, an enhancement, or a document detail item. The FMECA window will appear.

Enter the data as the analysis is completed.

In this window it is possible to associate a FMECA with many different items.

The user has access to data from all projects to which the user has access.

To associate an item with a FMECA drag and drop the item onto the FMECA.

Save the data.


Complaints

Record complaints from customers as they come in. From customer complaints we can determine, the areas that need urgent improvement can be determined. To access customer complaints click on the Complaints button. Select the project for the complaint. A list of complaints for the project will appear. Double click on the desired complaint. If the complaint is new, click on the New tool bar item. The following window will appear.

Enter a topic for the complaint. This topic will appear in the list of complaints in the start up of the complaints window. Enter the complaint data under Improvement Requested. Record the name of the person making the complaint. Record the data about the complainant's organizations e-mail and phone number. If there is a batch or serial number, enter the information. If the complaint involves product being returned, record the date the product was returned in the Date returned field.If a material review board is used record disposition in the Disposition field. Save the data.

When the complaint is addressed, record the action in the Corrective Action section. The Corrective Action section has two parts. One part is to record the immediate corrective action, the short-term solution to the problem. The other part is the long-term solution to the complaint. In this section the results of the investigation into the root cause analysis will be recorded. In this section it is possible to reference an external document. To reference the document right click on the Other documentation and choose Link document from the pop-up menu. Choose the document from the list shown. To open a document double click on the document name.

The last section is Follow up. In this section a record of follow up actions with the customer is recorded. The timing of the follow up is recorded.

The Complaint can be related to a QFD item. To do this, double click on a Level. The QFD items will appear. Drag the item onto the complaint.

Deviations and waivers

Sometimes a product may be accepted if it does not meet specification, provided the deviations from specification can be corrected in future.


Deviations and waivers

Definitions

Deviation: the planned departure from requirements prior to the manufacture of an item; the departure will be from a particular design requirement for a specific number of units or for a specific period of time and will be identified upon shipment.

Waiver: permission to accept for use, a completed but nonconforming item either "as is" or upon completion of rework for a specified number of units or for a specified period of time.

TRACXS has a section to make and track deviations and waivers. It is accessed through the the complaints module by right clicking on a complaint and choosing Deviation/Waiver from the pop up menu.

The screen looks as follows:

Enter data for the Deviation/Waiver. There must be an Date Effective, End Date and Type.

Save the data.

Drag and drop the item into First in the Serial Number Affected box. Enter serial number data. There must be a First and Last serial number. If serial numbers are not available add a short text to First and Last.

Save the data.

If there are any comments about the product in the serial number add it in the Comment on serial number section by dragging and dropping the Serial Number Affected onto Comment in the Comment on serial number box.

Save the data.

To add more deviations or waivers right click on Title in the Deviation/Waiver box and select Add from the pop up menu.


Enhancements

To access Enhancements click on the Enhancements button. Select the project for the enhancement. A list of enhancements for the project will appear. Double click on the desired enhancement. If the enhancement is new, click on the New tool bar item. The following window will appear.

Enhancements are product or service features that are not offered at the present time but are designed for the next model or system change. They also cover changes to approved documentation.

Enhancements to the system

Right click menu items

Copy

Copy data from a field to the clipboard

Paste

Paste data from the clipboard to a field

Find Item

Opens up a window that allows data to be changed to be transferred to the From section, along with the reference to the enhancement.

Delete

Deletes a record if it is new or marks an enhancement as deleted if the record already exists.

Review

To review an enhancement choose this option.

Details

Opens up a window that can be used to add more details.

FMECA

Opens the Failure Mode Effects and Criticality Analysis window .

History

Shows the signature history if the signature audit trail is used.

The Number is defined automatically. It can be changed but this is not recommended. Enter a Title for the enhancement. Give a Justification for the enhancement.

Data for the From box can be entered in one of two ways.

One way it to right click on the From box and choose Find Item from the right click pop up menu. A window will open that allows the user to select the text from a document that is to be changed. Go to the text in the window that is to be changed. The navigation is the same as in the Document/Specification window. Right click on in the specification line item and click on Choose Item. The window will close and the data will be placed in the From box in the Enhancemen ts window. The Item affected by enhancement box will be updated with the title of the document.

The other way of entering data in the From box is to key it in.

Data for the To box is keyed in.

Choose a Category. The names of categories can be changed by the System administrator.

Identify any changes to Form, Fit, Function, Cost or Schedule .

To update the Complaint addressed by enhancement go to the section labeled Complaints search. Double click on the complaint. If the complaint is the correct one drag the complaint to the Complaint address by enhancement box and drop it there.

To update the Enhancement related to box double click on a Level to get the QFD data. Scroll to the QFD item in the list below levels and drag the item to the Enhancement related to box and drop it there.

The Other Items Affected box is updated by right clicking and choosing Find Item from the menu. The specification window will open. Navigation is the same as for Specification . For the item affected right click and then click on Choose Item from the pop up menu.

If serial numbers are affected they are added to Serial Numbers by right click and selecting Add. Enter the data.

All changes have a cost impact. Record the cost by right clicking on Cost of change and selection Add. Add the cost data.

To attach other documents right click the Attachments box and choose Link Document from the menu. A file management window will pop up. Go to the file wanted and select it.

Enhancement can also be related to QFD items. To relate a QFD item double click on a Level. Drag the appropriate item onto the Enhancement and drop it.


Enhancement Details

To add more details to the enhancements enter data in the following window.


Specification from Navigation

Specifications are not usually edited with this option. Use this feature to print the whole structure of the specifications. Record the current system's characteristics and properties. This window is intended to serve as the basis for a specification. See Specification From QFD for details on the functioning of various parts of the window.


Cause and Effect

With a cause and effect diagram the items that are used in a process are defined graphically. The tool allows people to see the big picture more easily. The window in this case is a graphical tool. It allows the user to build a standard cause and effect diagram.

To access the cause and effect diagram click on the button in the opening window or menu that is labeled Cause and effect. The cause and effect diagram can be opened from the Quality Functional Deployment window. A project window will open. Double click on the project wanted. The following window will open.

Enter the name of the Cause and effect diagram in the window labeled Item. If the diagram exists it will be brought into the window. If there is more than one flow chart with a name that has a fragment that matches the keyed in values a list of flow charts will be displayed. Double click on the desired item to get the flow chart.

To build the diagram left click on one of the menu buttons that defines the type of line to be added to the diagram. Click on the line to which the selected row type is to be added. To each line is attached a text box. In the text box write a description of the item. Repeat the process until the diagram is completed. To improve readability the lines and text can be moved around. If a line is moved that has descendant lines the descendant line will be moved with the line after it is saved.

Once lines are attached to a particular line they cannot be moved to another line.

To change the line to which a line has as a parent will require the line to be deleted and entered at the new place.


Review Type

TRACXS supports design reviews. In the window right click on an item that has a white background to get the pop up menu. Choose Review from the menu. The following window will appear.

Enter your user id and password. Click on the review type being performed. The window will close and the review type will appear in the original window.


Note

Users can add notes to various items as they are proceeding. The notes are accessed by right clicking in a field and selecting "Note" from the pop up menu if the "Note" is present. The following window appears:

Enter the note and click on the save button.


Design Checklist

To assist with the design process, a feature that allows project manages to build a checklist can be used. To access the feature click on the check button in the toolbar of the document windows.

The following window appears:

Only people with at, or above, project manager can add items to the Design checklist. The checklist can be applied to any project.

People using the checklist can record their usage by dragging the Checklist item in Design checklist onto Checklist item in Results checklist. Add comments and save the data.


Capturing Design Cost Data

If the project manager selected to track project costs, people entering project related data must identify the work item they are working on in the Project Activity box when they close the window.


Archive

As projects are completed they can be assigned to the archive. People data and organization data can also be placed in the archive.

Data that are in the archive can also be retrieved and reviewed.

Sending a program to the archive

To send program data to the archive start the system tables window. In program select the program you want to put in the archive. Right click on the program and select Archive from the popup menu. Save the data

Retrieving a program from the archive

Click on the button View Program Archive. All programs sent to the archive will be displayed. Right click on the program to be withdrawn fro the archive and choose Unarchive from the pop up menu. Save the data

Program data can now be reviewed using the normal interface.

Sending a project to the archive

To send project data to the archive start the system tables window. In project select the program you want to put in the archive. Right click on the project and select Archive from the popup menu. Save the data

Retrieving a project from the archive

Click on the button View Project Archive. All projects sent to the archive will be displayed. Right click on the project to be withdrawn fro the archive and choose Unarchive from the pop up menu. Save the data

Project data can now be reviewed using the normal interface.

Sending organization data to the archive

Go to the organization that is to be sent to the archive. In the Organization box right click on the organization being sent to the archive. Choose Archive form the pop up menu. Save the data.

Retrieving organization data from the archive

In the toolbar click on the view on View archive data. A list of organizations sent to the archive will be retrieved. Right click on the organization you want too remove from the archive. Save the data.

Organization data can now be reviewed using the normal interface.

Sending people data to the archive

Go to the person that is to be sent to the archive. In the People box right click on the person whose data is being sent to the archive. Choose Archive form the pop up menu. Save the data.

Retrieving people data from the archive

In the toolbar click on the view on View archive data. A list of people with data sent to the archive will be retrieved. Right click on the person you want too remove from the archive. Save the data.

Personnel data can now be reviewed using the normal interface.


Logo

Many reports can have a logo printed on them. To put your organization's logo on reports put your bit map file into the TRACXS directory. Rename the file to logo_org.bmp; over write the existing file.


Saving reports

Reports in Qualitica can be saved for transmission to others in your organization. When a report is printed a report window usually opens. When the save button is clicked in the menu save option will appear. Choose the option displayed and save the document.

Most documents can be saved as Portable Document Format (PDF) or PowerSoft Reports (PSR). The rest can be saved as RTF documents

If a document is to be saved as a Portable Document Format (PDF) people wanting to view the report will need to have Adobe Acrobat Reader to read the file. The reader can be obtained from www.adobe.com.

If a document is to be saved as a PowerSoft Report (PSR) people wanting to view the report will need to have InfoMaker installed from the TRACXS CD. Installing InfoMaker is an option in the setup program on the TRACXS CD.


Report types

Management Reports

There are many reports available throughout TRACXS. In the project management section there are management reports that allow the project manager to have both numerical and graphical representation of the way people spend their time using TRACXS. To print the reports open the Project Reports tab in Project Administration. Select a report type and click the print button to print the report.

Quality Functional Deployment Reports

In the menu bar in the QFD window is a row of buttons that when clicked upon will produce various reports.

<------------------ Reports ---------------->

Moving the pointer over the icon displays the topic.

Other reports

In each other window a print button is displayed if the window can print. To print a report click on the print icon in the tool bar.

In most cases the report will be displayed in a new pop up window. The pop up window will have the following look.

The user can zoom into and out of the report. The report will be printed in the zoomed size.


Accessing Cause and Effect

To build and view Cause and Effect diagrams click on the button above Cause and Effect .


Database

Data in TRACXS are stored in a SQL database. This database has full database maintenance capabilities. The database can be backed up. If there is a database failure the database can be rebuilt if correct procedures are followed.

The database has a log file. The log file records all transactions in the database. The log file should be stored on a different drive than the database. After each backup is completed the log file should be deleted after database is shutdown.


Flow Chart

In a process, the sequence of work needs to be done in a specific way. The flow chart is used to describe how the items in cause and effect diagrams are related in sequence of use.

TRACXS has a limited flow charting capability. The flow chart tool is designed to describe processes; it has a limited number of symbols.

To access the flow chart tool click on the flow chart button in the window the program opens with, or in the menu.

Enter the project being worked on.

The flow chart tool can also be activated in the Quality Functional Deployment window by clicking on the flow chart button in the menu bar. When the flow chart window is activated in the QFD window, both the QFD and flow chart diagrams are visible.

The following window will appear:

In the box labeled Flowchart key in the name of the flow chart and press the enter key. If the flow chart exists it will be brought into the window. If the flow chart is new the flow chart will have the name that was keyed in and a new flow chart started.

To add items to the flow chart click on the buttons in the menu.

The symbols for the flow chart are

for a process,

choose, one of more that two alternatives,

decision, one of two alternatives,

off page connector,

record process data,

connect processes, choose, decision, off page connector, or record,

vertical align

horizontal align

To make the flow chart click on a symbol and then click on the place on the sheet where you want it. Add text to the symbol by clicking on the symbol and the entering text in the box displayed. Add another symbol using the same method.

To join symbols, click on the connect processes symbol in the menu. Click on the first symbol and then click on the second symbol. A connection line will appear.

Symbols and connectors can be adjusted by clicking on an item, holding the left button down, and then dragging the item to where you want to take it.

In the case of the choose and decision items connector descending from them will have a box displayed for text to describe the outcome of the decision or choose.

The vertical or horizontal align buttons allow the user to align sequences of items. To align choose the items to be aligned by dragging a box around them to highlight them. Click on the button you want use for the alignment.


Introduction

When products and services are developed, work done at the design stage impacts the rest of the product life cycle. Design mistakes have a huge impact on the life cycle costs of products and services. To deal with these mistakes, many changes have to be made to the design. Corrections are then sent to the customer for approval. The cost of these mistakes is passed onto the customer through higher prices or contract amendments. TRACXS is designed to reduce the cost of development and the life cycle cost of products and services. TRACXS is a concurrent design tool.

One common feature of the design process is chaos. The chaos starts with a promise made to a customer and the interpretation of the promise that is passed to the design team. The design team often has a compressed schedule. The design is passed to the customer for approval and it is found this is not exactly what the customer asked for. Time has to be taken to review what the customer asked for and make adjustments. Sometimes items or processes that are designed are very difficult to manufacture or deliver. There frequently has to be redesign of the item to make it easier to manufacture or deliver. This cycle of rework is repeated over and over again. The rework increases the price of the product or service and causes delay in delivery. Often there are quality problems associated with the product service. Quality problems increase life cycle costs for the customer.

Reducing life cycle costs is beneficial to customers. It is also beneficial to suppliers since they will be able to show customers the savings that can be made by owning the lowest life cycle cost product. Suppliers can increase market share by being the lowest cost supplier in a given market. Ninety percent of the life cycle cost of a product or service is determined at the design stage. The probability of acceptance of a new product or service is also determined at the design stage. It should be beneficial to focus on improving the design and development process to reduce life cycle costs and increase market acceptance.

Problems frequently encountered at the design and development stage are:

1.Customer's needs and requirements are not clearly identified or documented,

2.Tracking who has done what is frequently difficult and error prone,

3.Getting customer approval of completed work is difficult,

4.Designed products and services are hard to manufacture or deliver,

5.Products do not interface properly,

6.People in the design team change documentation without leaving an audit trail,

7.Word processors are inadequate for tracing needs and requirements through the design process,

8.Design and development staff work on many projects at the same time.

TRACXS is designed to address these problems and many others associated with product and service design and development.

The base of TRACXS is Quality Functional Deployment; for details see the book on Quality Functional Deployment. In TRACXS it is possible to go to most of the other parts of the system from Quality Functional Deployment. While using the system it is possible to build a specification, including links to other documents. While building specifications test procedures can be built along with the test schedule. As a project progresses it is possible for the user to record test results, and eventually prove that the customer's needs are met by the design. The system comes with some standard reports. It is possible to make custom reports using report generators that are on the market today. Reports on how well the design has met the customer's needs and requirements can be generated.

Using the Quality Functional Deployment method, it is possible to identify interfaces and conflicting requirements. With the clear definition of interfaces problems often encountered in managing interfaces are reduced. TRACXS has a module that allows users to capture the interface requirements in a specification.

From QFD the user can develop documents (specifications) and perform failure mode, effects and criticality analysis. Developing specifications through the QFD module allows designers to trace specification items to customer needs.

TRACXS is designed to reduce the administrative burden in the design process. The software works in conjunction with a way of doing business. When using all of TRACXS' features it is possible to build a set of specifications and understand the relationships between them. The document approval process is compliant with regulatory requirements. All people who work on the system are identified and review status recorded for each item. The system encourages concurrent engineering since many people can use the system and provide inputs. The review and approve process allows managers to assess the amount of work that has been done, reviewed or approved.

Design reviews are part of TRACXS process. The results (approval) of the design review process are recorded.

TRACXS is a client server application designed to be used on a network. The user interacts with an interface and data are stored in a SQL database that can reside on a server.

TRACXS is a way of managing a program and projects within the program. To proceed the user must set up at least one program and as many projects as needed to manage the system. For users to be able to access the system they must be assigned to a project. Within a project they can have further levels of authority.

The database can be encrypted. Encryption makes it much harder for people browsing a network to be able to read data in the database.

Standard reports are provided with TRACXS. It is possible to build other reports using the supplied report-generating program (Infomaker, MS Access, Crystal Reports for example).

Graphical tools are provided to build cause and effect diagrams within each project.

A module provides a means for recording customer complaints or defects found in a project. This module can also be used to record field-testing results. The field test results can be related to a customer need or a technical requirement. With the connection being made the loop is closed on the design cycle. From the complaints module the user can prepare a deviation or a waiver if one is needed.

Another module records the information used to manage changes to approved documentation. Once documentation is approved the only way it can be changed is through an approved change notice. Having this requirement reduces the number of unapproved changes to previously approved documentation.

TRACXS can be setup to automatically track project development costs as people are logged on to the system.

The TRACXS solution reduces the cost of the design process.


Material Review Board

As a product is being tested or used by a customer various defects are uncovered. These defect can impact on the design. To evaluate defects a Material Review Board is formed and they give a disposition on all defects. The material review board has a minimum constituency of the designer, the customer's representative (or marketing), and a quality assurance person. The board is assembled as soon as possible after the defect is identified and the disposition of the product made. If there is a need to change the design, and then often the manufacturing process, the work can be quickly authorized.


Navigating Examples

To see the tables logon as user = smithj01, password = smithj01.


Privilege

Define the privileges that people can have in the system and the security level for a project.

Personal Privilege Levels define the levels that people are allows to hold.

Security level defines the security levels projects can have. The security levels acceptable for projects are defined in this window.

Users must have a privilege level at or above the levels defined in this window.

Right click menu

Add

The add option adds a row in the data window.

Delete

There is no delete capability in the data windows


Project Activity

If the project manager requires people record their activity on a project a Project Activity box will appear in many windows.

When this box appears a list of project activities is given. The user scrolls to the activity and clicks on it to select it.

Users cannot exit a window that has the Project Activity box showing until selecting an activity.

To see the time spent on projects right click on the box and choose Time Report. A report of the time spent on projects will appear.

Enter the start and end date for the period wanted and then press the Enter or Tab key.

A list of projects the user worked on in the period will appear. The time and activity worked on in each project will be listed by date.


Project Cost Model

In the Cost model tab give the model a name.

To add data right click the mouse and choose the action wanted.

Define the model data.

The Item is anything that is to happen in a project. They can be named with any name. The event type comes from the Activity/Event type list. The list supplied gives some typical events in projects; events and activities can be added to the list. In the Resource column define the position of the person who is doing the work. Under Unit Cost enter the hourly billing rate for the person; this rate is not the pay rate but includes overhead with the pay rate, overhead can be up to twice the pay rate, depending on the industry. The Quantity defines how many people are required to do the work at that level. Duration is the length of time in hours that each person will spend on the event. The total cost is calculated from the previous data. The Relative time is the day in the project, relative to the start time that the event will take place. The model data must have a start with a Relative time of 0. The last item should have a duration of less than one day.


Project Management Models

Many people use project management concepts to keep track of projects. Using modern project management software it is possible to define the cost and schedule for a project. In TRACXS it is possible to enter cost and schedule data. If project management data are entered and defined in the project TRACXS will automatically track the amount of time people spend doing various activities. The project manager can get reports of the activity in the Project window. See the Cost Model window for a description of how to enter data for project management.


Project Security

Security levels are defined in the system tables. The levels are assigned in this tab. Define the security level for each project. An entry must be made to ensure the program functions properly.


Project Tree

The project tree is used to make and display parent child relationships between projects.

To make a project a child of another one drag the item that is to become the child onto the parent. If the item has children the children will also be moved.


Relationship

In the Quality Functional Deployment system comparisons are made between the how our organization does with meeting customer needs, requirements, etc and how other organization do the same thing. Each of these organizations has a relationship with our organization. They can be a competitor, a supplier, a customer, or the best in class. This process of determine best practice is called benchmarking.

In this tab window the relationship to a supplier is selected. Choose Add from the right click pop up menu. Add the organization for comparison and then select one of the relationships from the drop down list in Type of reference.

Save the data.


System Requirements

The application is graphic intensive.

Application: Windows Professional operating system. 256M RAM, 75 M Disk space, 17 inch screen,

Database: Windows server, Linix, HPUX. The database on window is unlimited.


What

The first level for a QFD diagram is usually Customer's Needs. Using a combination of marketing, sales, operational and engineering information determine the customer's needs.

As each customer's need is identified it is possible to associate an importance to the need. Verify the importance of the need with the customer.

To access the various option in the "What right click on a row. A pop up menu will appear. In this menu there are the following options: Copy, Paste, Insert, Add, Delete, Note, Review, Documents, and History.

Copy

Copy allows users to copy data from a box.

Paste

Paste allows users to paste data to a box.

Add

Adds a new row to the end of the current list in the 'What' column. The space shown on the screen is a little restricted and is designed to encourage brevity. Only one "What should appear in each line. The use of conjunctions (and, or, but) is discouraged since conjunctions allow more than one idea to exist in a sentence. Through interaction with the customer, determine the importance of each need on a scale of 1 to 9. 1 is the least important and 9 is the most important. Record the information in the importance column. The initial value will be set at 1.

Insert

Insert puts a new row in the "What column. The user can then enter a what.

Delete

Delete allows the user to delete a record. Saved records are not deleted but are marked as not current. Records that are new and are not saved are deleted.

Note

Selecting Note allows the user to annotate the "What. A window will appear to allow the user to make a note about the "What.

Review

Choosing Review from the right clicked pop-up menu will allow the user to review the data if a review is selected from the Action box at the top of the screen.

Documents

To define the "What in more detail, right click on a text item and choose Specification from the pop up menu. A window will open. Each item in the "What needs a title and a section in which it is placed in the scheme of the project specification. To add an item right click on the window and choose Add from the pop up menu. A line to enter data will appear. Enter the data. For the actual specification double click on the title after it is saved. A new window will appear. The numbering in this window is automatic. Enter the specification items and save them. It is best to have one specification item per row. Following this rule will allow the user to have full traceability on all specification items at the end of the project.

History

Selecting history allows the user to see the change history of the item selected.

System behaviour

When a "What" is added the relationship matrix does not get a new row until the data are saved.